package com.gx.obe.server.common.base;


import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

import com.baomidou.mybatisplus.extension.service.IService;

import io.swagger.annotations.ApiOperation;

/**  
 * @Title:  BaseController.java   
 * @Package com.gx.obe.server.common.base   
 * @Description:    TODO  
 * @author: XiaoMaPro     
 * @date:   2019年5月6日  
 * @version V1.0 
 * @Copyright: 2018 - 2019 www.myspro.com Inc. All rights reserved. 
 *  
 */
public abstract class BaseController<S extends IService<T>,T>{
	
	@Autowired
	private S baseService;
	
	protected S getBaseService() {
		return baseService;
	}
	
	@ApiOperation(value="添加", notes="")
	@PostMapping("/insert")
	public boolean save(@RequestBody T entity){
		return baseService.save(entity);
	}
	
	@ApiOperation(value="删除", notes="")
	@GetMapping("/deleteById")
	public Boolean removeById(String id){
	    return baseService.removeById(id);
	}
	
	@ApiOperation(value="查询", notes="")
	@GetMapping("/getById")
	public T getById(String id) {
	    return baseService.getById(id);
	}
	
}