package com.gx.obe.server.common.cache;

import java.util.LinkedHashMap;
import java.util.Map;

 
/** 
 * @Description: 缓存
 * @author mazc 
 */
public class GroupCacheFactory {
	// 数据容器
	private Map<String, Group> cacheMap;

	public GroupCacheFactory() {
		cacheMap = new LinkedHashMap<String, Group>();
	}
	/**
	 * 如过存在返回组对象，不存在就创建
	 * 
	 */
	public Group group(String key, int capacity) {
		//加同步，否则可能引起线程问题
		synchronized (cacheMap) {
			Group group = cacheMap.get(key);
			if (group == null) {
				group = new Group(capacity);
				cacheMap.put(key, group);
			}
			return group;
		}
	}

	/**
	 * 默认容量1000
	 * 
	 * @param key
	 * @return
	 */
	public Group group(String key) {
		return this.group(key, 1000);
	}
}
