package com.gx.obe.server.common.entity;

import java.lang.reflect.Field;
import java.util.Arrays;


/** 
 * @Description: 反射工具类
 * @author mazc
 * @param <T> 
 */
public class ReflecUtils {

	/**
	 * @Description:  利用java的泛型与反射动态更新
	 * @author mazc
	 * @param object
	 * @param attributes
	 * @param a
	 * @return
	 * @throws InstantiationException
	 * @throws IllegalAccessException
	 * @throws SecurityException 
	 */
	public static <T> T reflexT( T object ,String [] attributes ,Class<T> a )  {
		if(null == attributes) {
			return object;
		}
		T ruleEntity = null;
		try {
			ruleEntity = a.newInstance();
		} catch (Exception e1) {
			System.out.println(e1.getMessage());
			return null;
		} 
		for(String str : attributes){
			Field getField = null;
			try {
				getField = object.getClass().getDeclaredField(str); 
				getField.setAccessible(true);
				Class<? extends Object> c = ruleEntity.getClass();
				Field setField = c.getDeclaredField(str);
				setField.setAccessible(true);
				setField.set(ruleEntity, getField.get(object));
			} catch (NoSuchFieldException e) {
				System.out.println(e.getMessage());
				continue;
			} catch (IllegalArgumentException e) {
				System.out.println(e.getMessage());
				continue;
			} catch (IllegalAccessException e) {
				System.out.println(e.getMessage());
				continue;
			}
		}
		return ruleEntity;
	}
	
    public static <T> T reflex(T object, String[] attributes, Class<T> a) {
        String[] strings = Arrays.copyOf(attributes, attributes.length + 1);
        strings[strings.length - 1] = "id";
        return reflexT(object, strings, a);
    }
	
    /**
     * @Description: 忽视
     * @author chenxw
     * @param object
     * @param attributes 
     */
    public static <T> void ignore(T object, String[] attributes) {
        if (null == attributes) {
            return;
        }
        for (String str : attributes) {
            try {
                Field getField = object.getClass().getDeclaredField(str);
                getField.setAccessible(true);
                getField.set(object, null);
            } catch (NoSuchFieldException e) {
                System.out.println(e.getMessage());
                continue;
            } catch (IllegalArgumentException e) {
                System.out.println(e.getMessage());
                continue;
            } catch (IllegalAccessException e) {
                System.out.println(e.getMessage());
                continue;
            }
        }
    }
	
}
