package com.gx.obe.server.common.log;

import org.springframework.boot.autoconfigure.condition.ConditionalOnWebApplication;
import org.springframework.context.ApplicationEventPublisher;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.scheduling.annotation.EnableAsync;

import com.gx.obe.server.management.log.service.SysLogService;

import lombok.AllArgsConstructor;

/** 
 * @Description: 自动配置的加载
 * @author mazc 
 */
@EnableAsync
@Configuration
@AllArgsConstructor
@ConditionalOnWebApplication
public class AutoConfiguration {
	
	private final SysLogService remoteLogService;

	@Bean
	public LogListener logListener() {
		return new LogListener(remoteLogService);
	}

	@Bean
	public LogAspect logAspect(ApplicationEventPublisher publisher) {
		return new LogAspect(publisher);
	}
}
