package com.gx.obe.server.config;

 
import java.io.PrintWriter;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.servlet.HandlerInterceptor;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.gx.obe.server.common.json.JsonUtil;
import com.gx.obe.server.common.utils.StringUtils;
import com.gx.obe.server.common.vo.Result;
import com.gx.obe.server.management.user.entity.AuthUserEntity;
import com.gx.obe.server.management.user.service.AuthUserService;
 

/** 
 * @Description: 外部接口拦截
 * @author mazc 
 */
public class ManageInterceptor implements HandlerInterceptor {
	
	@Autowired
	public AuthUserService authUserService;
	
	@Override
    public boolean preHandle(HttpServletRequest request, HttpServletResponse response, Object o) throws Exception {
      	String username = (String) request.getHeader("userName");
    	String password = (String) request.getHeader("passWord");
     	QueryWrapper<AuthUserEntity> queryWrapper = new QueryWrapper<>();
		queryWrapper.lambda().eq(AuthUserEntity::getUserAccount, username);
		AuthUserEntity user = authUserService.getOne(queryWrapper);
		if(user != null) {
			if (StringUtils.equals(password, user.getUserPassword())) {
				return true;
			}
		}
		response.setCharacterEncoding("UTF-8");
		response.setContentType("application/json;charset=UTF-8");
		PrintWriter pw = response.getWriter();
		pw.write(JsonUtil.objectToStr(Result.failed("您无操作权限")));
		pw.flush();
		pw.close();
	    	
		return false;
    }
 
 

 
        
}
