package com.gx.obe.server.im.grabberpic;

/**
 * @Description:
 * @Description:
 * @author guoyr
 */
public interface GrabberPic {

	/**
	 * Description: 开启视频 Create Date: Jul 25, 201211:55:08 AM<br/>
	 * Author : zhaoqf <br/>
	 * @return
	 */
	public boolean Open();

	/**
	 * Description: 关闭视频 Create Date: Jul 25, 201211:55:57 AM<br/>
	 * Author : zhaoqf <br/>
	 */
	public void Close();

	/**
	 * Description:
	 * 获取JPG格式的图片。若strFileName为空，则系统自动保存在当前进程所在路径下，文件名为gpc_年月日时分秒.jpg Create
	 * Date: Jul 25, 201211:57:12 AM<br/>
	 * Author : zhaoqf <br/>
	 * @param strFileName
	 * @return
	 */
	public boolean GrabJPG(String strFileName);

	/**
	 * Description:
	 * 获取BMP格式的图片。若strFileName为空，则系统自动保存在当前进程所在路径下，文件名为gpc_年月日时分秒.bmp Create
	 * Date: Jul 25, 201212:24:36 PM<br/>
	 * Author : zhaoqf <br/>
	 * @param strFileName
	 * @return
	 */
	public boolean GrabBitmap(String strFileName);

	/**
	 * Description: 获取最后一个图片的保存位置 Create Date: Jul 25, 201212:24:56 PM<br/>
	 * Author : zhaoqf <br/>
	 * @return
	 */
	public String GetFileName();

	/**
	 * Description: 若连接多于一个摄像头，请在Open前调用SetCurVDevice，设置当前使用的摄像头 Create Date:
	 * Jul 25, 201212:56:41 PM<br/>
	 * Author : zhaoqf <br/>
	 * @return
	 */
	public long GetVDevCount();

	/**
	 * Description: 获取nIndex对应的摄像头的名称 nIndex 0序 Create Date: Jul 25,
	 * Author : zhaoqf <br/>
	 * @param nIndex
	 * @return
	 */
	public String GetVDevName(long nIndex);

	/**
	 * Description: 设置当前使用的摄像头的序号。若仅连接一个摄像头时，无需设置此函数 Create Date: Jul 25,
	 * Author : zhaoqf <br/>
	 * @param nIndex
	 * @return
	 */
	public boolean SetCurVDevice(long nIndex);

	/**
	 * Description: 重新枚举设备连接的摄像头，此时ocx自动调用了close() Create Date: Jul 25,
	 * Author : zhaoqf <br/>
	 */
	public void RefreshDevice();
	
	/**
	 * @Description:  视频是否打开
	 * @author guoyr
	 * @return
	 */
	public boolean isOpen();
}
