package com.gx.obe.server.management.boq.controller;

import com.gx.obe.server.common.base.BaseController;
import com.gx.obe.server.management.boq.entity.ObeConstructProject;
import com.gx.obe.server.management.boq.service.ObeConstructProjectService;
import com.gx.obe.server.management.vo.AnalyzeDataSource;
import io.swagger.annotations.Api;
import lombok.AllArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * @author mazc
 * @Description:
 */
@Api(tags = "项目工程")
@RestController
@AllArgsConstructor
@RequestMapping("/obeConstructProject")
public class ObeConstructProjectController extends BaseController<ObeConstructProjectService, ObeConstructProject> {
    @Autowired
    public ObeConstructProjectService ObeConstructProjectServices;

    /**
     * @param ObeConstructProjectList
     * @Description: 批量插入
     * @author mazc
     */
    @PostMapping("/insertByBatch")
    public int insertByBatch(@RequestBody List<ObeConstructProject> ObeConstructProjectList) {
        return ObeConstructProjectServices.insertByBatch(ObeConstructProjectList);
    }

    /**
     * @param ObeConstructProjectList
     * @Description: 批量更新
     * @author mazc
     */
    @PostMapping("/updateByBatch")
    public int updateByBatch(@RequestBody List<ObeConstructProject> ObeConstructProjectList) {
        return ObeConstructProjectServices.updateByBatch(ObeConstructProjectList);
    }

    /**
     * @param tenderId
     * @return
     * @Description: 删除所有清单内容
     */
    @GetMapping("/deleteAllConstructProjectDetail")
    public Integer deleteAllConstructProjectDetail(String tenderId) {
        return ObeConstructProjectServices.deleteAllConstructProjectDetail(tenderId);
    }

    /**
     * @param analyzeDataSource
     * @return
     * @Description: 保存工程项目及明细
     * @author mazc
     */
    @PostMapping("/saveConstructProjectDetail")
    public boolean saveConstructProjectDetail(@RequestBody AnalyzeDataSource analyzeDataSource) {
        return ObeConstructProjectServices.saveConstructProjectDetail(analyzeDataSource);
    }

    /**
     * @param tenderId
     * @param supplierId
     * @return
     * @Description: 根据项目Id和供应商Id，获得工程信息(包括单项和单位工程)。
     * @author guoyr
     */
    @GetMapping("/getAllConstructProject")
    public ObeConstructProject getAllConstructProject(String tenderId, String supplierId) {
        return ObeConstructProjectServices.getAllConstructProject(tenderId, supplierId);
    }

}