package com.gx.obe.server.management.boq.dao;

import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Mapper;
import com.gx.obe.server.management.boq.entity.ObeAppraisalPrice;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import java.util.List;

/**
 * @author mazc
 * @Description:
 */
@Mapper
public interface ObeAppraisalPriceMapper extends BaseMapper<ObeAppraisalPrice> {

    /**
     * @param ObeAppraisalPriceList
     * @Description: 批量更新
     * @author mazc
     */
    Integer updateBatchList(@Param("ObeAppraisalPriceList") List<ObeAppraisalPrice> ObeAppraisalPriceList);

    /**
     * @param ObeAppraisalPriceList
     * @Description: 批量插入
     * @author mazc
     */
    Integer insertByBatch(@Param("ObeAppraisalPriceList") List<ObeAppraisalPrice> ObeAppraisalPriceList);

    /**
     * @param ObeAppraisalPrice
     * @param attributes
     * @Description: 指定字段修改
     * @author chenxw
     */
    Integer updateAssignProperty(@Param("ObeAppraisalPrice") ObeAppraisalPrice ObeAppraisalPrice, @Param("attributes") String[] attributes);

    /**
     * @param ObeAppraisalPriceList
     * @param attributes
     * @Description: 批量指定字段修改
     * @author chenxw
     */
    Integer batchUpdateProperty(@Param("ObeAppraisalPriceList") List<ObeAppraisalPrice> ObeAppraisalPriceList, @Param("attributes") String[] attributes);

    /**
     * @param tenderId
     * @return
     * @Description 根据项目ID删除数据
     */
    Integer deleteByTenderId(@Param("tenderId") String tenderId);

    /**
     * @param projectId
     * @return List<AppraisalPrice>
     * @Description: 根据工程Id，获得暂估价
     * @author guoyr
     */
    List<ObeAppraisalPrice> getAppraisalPriceListByProjectId(@Param("projectId") String projectId);

}