package com.gx.obe.server.management.boq.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @author mazc
 * @Description:
 */
@Data
@TableName("obe_extra_table")
public class ObeExtraTable extends Model<ObeExtraTable> {

    private static final long serialVersionUID = 1L;

    /**
     * 其他项目主键，唯一标识。
     */
    @TableId("EXTRA_TABLE_ID")
    private String id;
    /**
     * 其他项目父ID
     */
    @TableField("PARENT_ID")
    private String parentId;
    /**
     * 序号
     */
    @TableField("EXTRA_CODE")
    private String extraCode;
    /**
     * 名称
     */
    @TableField("EXTRA_NAME")
    private String extraName;
    /**
     * 单位
     */
    @TableField("UNIT")
    private String unit;
    /**
     * 金额(元)
     */
    @TableField("TOTAL")
    private BigDecimal total;
    /**
     * 备注
     */
    @TableField("REMARK")
    private String remark;
    /**
     * 工程项目外键Id
     */
    @TableField("PROJECT_ID")
    private String projectId;
    /**
     * 序号
     */
    @TableField("SORT_NO")
    private Integer sortNo;
    /**
     * 招标项目外键Id
     */
    @TableField("TENDER_ID")
    private String tenderId;
    /**
     * 供应商Id
     */
    @TableField("SUPPLIER_ID")
    private String supplierId;
    /**
     * 序号
     */
    @TableField("NUMBER")
    private String number;

    public static final String EXTRA_TABLE_ID = "EXTRA_TABLE_ID";

    public static final String PARENT_ID = "PARENT_ID";

    public static final String EXTRA_CODE = "EXTRA_CODE";

    public static final String EXTRA_NAME = "EXTRA_NAME";

    public static final String UNIT = "UNIT";

    public static final String TOTAL = "TOTAL";

    public static final String REMARK = "REMARK";

    public static final String PROJECT_ID = "PROJECT_ID";

    public static final String SORT_NO = "SORT_NO";

    public static final String TENDER_ID = "TENDER_ID";

    public static final String SUPPLIER_ID = "SUPPLIER_ID";

    public static final String NUMBER = "NUMBER";

}