package com.gx.obe.server.management.boq.entity;

import java.io.Serializable;

import java.math.BigDecimal;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;


import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonBackReference;
import com.fasterxml.jackson.annotation.JsonManagedReference;
import lombok.Data;

/**
 * @author mazc
 * @Description:
 */
@Data
@TableName("obe_material_summary")
public class ObeMaterialSummary extends Model<ObeMaterialSummary> {

    private static final long serialVersionUID = 1L;

    /**
     * 工料机汇总主键，唯一标识。
     */
    @TableId("MATERIAL_SUMMARY_ID")
    private String id;
    /**
     * 编码
     */
    @TableField("MATERIAL_CODE")
    private String materialCode;
    /**
     * 名称
     */
    @TableField("MATERIAL_NAME")
    private String materialName;
    /**
     * 型号规格
     */
    @TableField("SPECIFICATION")
    private String specification;
    /**
     * 单位
     */
    @TableField("UNIT")
    private String unit;
    /**
     * 定额价
     */
    @TableField("ORG_PRICE")
    private BigDecimal orgPrice;
    /**
     * 市场价
     */
    @TableField("PRICE")
    private BigDecimal price;
    /**
     * 数量
     */
    @TableField("QUANTITY")
    private BigDecimal quantity;
    /**
     * 市场价合价
     */
    @TableField("TOTAL")
    private BigDecimal total;
    /**
     * 是否暂估价材料
     */
    @TableField("IS_ZGJ")
    private Boolean isZgj;
    /**
     * 是否主要材料
     */
    @TableField("IS_ZYCL")
    private Boolean isZycl;
    /**
     * 材料类别
     */
    @TableField("CLLB")
    private String cllb;
    /**
     * 材料类型(00：其它；01：人工；02：材料；03：机械；04：主材；05：设备)
     */
    @TableField("KIND")
    private String kind;
    /**
     * 供料方式(0：乙供；1：甲供)
     */
    @TableField("PROVIDER")
    private Boolean provider;
    /**
     * 备注
     */
    @TableField("REMARK")
    private String remark;
    /**
     * 工程项目外键Id
     */
    @TableField("PROJECT_ID")
    private String projectId;
    /**
     * 工料机汇总父ID
     */
    @TableField("PARENT_ID")
    private String parentId;
    /**
     * 费率
     */
    @TableField("RATE")
    private BigDecimal rate;
    /**
     * 序号
     */
    @TableField("SORT_NO")
    private Integer sortNo;
    /**
     * 原产地
     */
    @TableField("ORIGIN_PLACE")
    private String originPlace;
    /**
     * 抽取状态
     */
    @TableField("EXTRACT_STATE")
    private String extractState;
    /**
     * 序号
     */
    @TableField("NUMBER")
    private String number;
    /**
     * 招标项目外键Id
     */
    @TableField("TENDER_ID")
    private String tenderId;
    /**
     * 供应商Id
     */
    @TableField("SUPPLIER_ID")
    private String supplierId;

    @TableField(exist = false)
    @JsonBackReference
    private ObeMaterialSummary parentMaterial;

    @TableField(exist = false)
    @JsonManagedReference
    private List<ObeMaterialSummary> childMaterialList;

    public void addChild(ObeMaterialSummary childMaterial) {
        if (null == childMaterialList) {
            childMaterialList = new ArrayList<>();
        }
        childMaterialList.add(childMaterial);
    }

    public static final String MATERIAL_SUMMARY_ID = "MATERIAL_SUMMARY_ID";

    public static final String MATERIAL_CODE = "MATERIAL_CODE";

    public static final String MATERIAL_NAME = "MATERIAL_NAME";

    public static final String SPECIFICATION = "SPECIFICATION";

    public static final String UNIT = "UNIT";

    public static final String ORG_PRICE = "ORG_PRICE";

    public static final String PRICE = "PRICE";

    public static final String QUANTITY = "QUANTITY";

    public static final String TOTAL = "TOTAL";

    public static final String IS_ZGJ = "IS_ZGJ";

    public static final String IS_ZYCL = "IS_ZYCL";

    public static final String CLLB = "CLLB";

    public static final String KIND = "KIND";

    public static final String PROVIDER = "PROVIDER";

    public static final String REMARK = "REMARK";

    public static final String PROJECT_ID = "PROJECT_ID";

    public static final String PARENT_ID = "PARENT_ID";

    public static final String RATE = "RATE";

    public static final String SORT_NO = "SORT_NO";

    public static final String ORIGIN_PLACE = "ORIGIN_PLACE";

    public static final String EXTRACT_STATE = "EXTRACT_STATE";

    public static final String NUMBER = "NUMBER";

    public static final String TENDER_ID = "TENDER_ID";

    public static final String SUPPLIER_ID = "SUPPLIER_ID";

}