package com.gx.obe.server.management.boq.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonBackReference;
import com.fasterxml.jackson.annotation.JsonManagedReference;
import lombok.Data;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.List;

/**
 * @author mazc
 * @Description:
 */
@Data
@TableName("obe_measure_table")
public class ObeMeasureTable extends Model<ObeMeasureTable> {

    private static final long serialVersionUID = 1L;

    /**
     * 措施项目主键，唯一标识。
     */
    @TableId("MEASURE_TABLE_ID")
    private String id;
    /**
     * 措施项目父ID
     */
    @TableField("PARENT_ID")
    private String parentId;
    /**
     * 00:单价措施;01:总价措施
     */
    @TableField("MEASURE_TYPE")
    private String measureType;
    /**
     * 清单编码
     */
    @TableField("MEASURE_CODE")
    private String measureCode;
    /**
     * 清单名称
     */
    @TableField("MEASURE_NAME")
    private String measureName;
    /**
     * 项目特征
     */
    @TableField("PROJECT_ATTR")
    private String projectAttr;
    /**
     * 工程内容
     */
    @TableField("CONTENT")
    private String content;
    /**
     * 单位
     */
    @TableField("UNIT")
    private String unit;
    /**
     * 工程量
     */
    @TableField("QUANTITY")
    private BigDecimal quantity;
    /**
     * 单价
     */
    @TableField("PRICE")
    private BigDecimal price;
    /**
     * 限价
     */
    @TableField("LIMITED_PRICE")
    private BigDecimal limitedPrice;
    /**
     * 费率
     */
    @TableField("RATE")
    private BigDecimal rate;
    /**
     * 计算基础
     */
    @TableField("FORMULA")
    private String formula;
    /**
     * 合价
     */
    @TableField("TOTAL")
    private BigDecimal total;
    /**
     * 类型(01：分部；02：清单；03：定额；04：费用)
     */
    @TableField("KIND")
    private String kind;
    /**
     * 备注
     */
    @TableField("REMARK")
    private String remark;
    /**
     * 人工费
     */
    @TableField("RFEE")
    private BigDecimal rfee;
    /**
     * 材料费
     */
    @TableField("CFEE")
    private BigDecimal cfee;
    /**
     * 机械费
     */
    @TableField("JFEE")
    private BigDecimal jfee;
    /**
     * 管理费
     */
    @TableField("MANAGER_FEE")
    private BigDecimal managerFee;
    /**
     * 利润
     */
    @TableField("PROFIT_FEE")
    private BigDecimal profitFee;
    /**
     * 风险空置费
     */
    @TableField("RISK_FEE")
    private BigDecimal riskFee;
    /**
     * 暂估价
     */
    @TableField("ZGJ")
    private BigDecimal zgj;
    /**
     * 工程项目外键Id
     */
    @TableField("PROJECT_ID")
    private String projectId;
    /**
     * 序号
     */
    @TableField("SORT_NO")
    private Integer sortNo;
    /**
     * 招标项目外键Id
     */
    @TableField("TENDER_ID")
    private String tenderId;
    /**
     * 供应商Id
     */
    @TableField("SUPPLIER_ID")
    private String supplierId;
    /**
     * 其他项
     */
    @TableField("QTX")
    private BigDecimal qtx;
    /**
     * 序号
     */
    @TableField("NUMBER")
    private String number;

    @TableField(exist = false)
    @JsonBackReference
    private ObeMeasureTable parentMeasure;

    @TableField(exist = false)
    @JsonManagedReference
    private List<ObeMeasureTable> childMeasureList;

    public void addChild(ObeMeasureTable deBill) {
        if (childMeasureList == null) {
            childMeasureList = new ArrayList<>();
        }
        childMeasureList.add(deBill);
    }

    public static final String MEASURE_TABLE_ID = "MEASURE_TABLE_ID";

    public static final String PARENT_ID = "PARENT_ID";

    public static final String MEASURE_TYPE = "MEASURE_TYPE";

    public static final String MEASURE_CODE = "MEASURE_CODE";

    public static final String MEASURE_NAME = "MEASURE_NAME";

    public static final String PROJECT_ATTR = "PROJECT_ATTR";

    public static final String CONTENT = "CONTENT";

    public static final String UNIT = "UNIT";

    public static final String QUANTITY = "QUANTITY";

    public static final String PRICE = "PRICE";

    public static final String LIMITED_PRICE = "LIMITED_PRICE";

    public static final String RATE = "RATE";

    public static final String FORMULA = "FORMULA";

    public static final String TOTAL = "TOTAL";

    public static final String KIND = "KIND";

    public static final String REMARK = "REMARK";

    public static final String RFEE = "RFEE";

    public static final String CFEE = "CFEE";

    public static final String JFEE = "JFEE";

    public static final String MANAGER_FEE = "MANAGER_FEE";

    public static final String PROFIT_FEE = "PROFIT_FEE";

    public static final String RISK_FEE = "RISK_FEE";

    public static final String ZGJ = "ZGJ";

    public static final String PROJECT_ID = "PROJECT_ID";

    public static final String SORT_NO = "SORT_NO";

    public static final String TENDER_ID = "TENDER_ID";

    public static final String SUPPLIER_ID = "SUPPLIER_ID";

    public static final String QTX = "QTX";

    public static final String NUMBER = "NUMBER";

}