package com.gx.obe.server.management.boq.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @author mazc
 * @Description:
 */
@Data
@TableName("obe_quota_item")
public class ObeQuotaItem extends Model<ObeQuotaItem> {

    private static final long serialVersionUID = 1L;

    /**
     * 分部分项主键，唯一标识。
     */
    @TableId("QUOTA_ITEM_ID")
    private String id;
    /**
     * 清单ID
     */
    @TableField("BILL_ID")
    private String billId;
    /**
     * 定额编码
     */
    @TableField("QUOTA_CODE")
    private String quotaCode;
    /**
     * 定额名称
     */
    @TableField("QUOTA_NAME")
    private String quotaName;
    /**
     * 定额类型
     */
    @TableField("QUOTA_TYPE")
    private String quotaType;
    /**
     * 项目特征
     */
    @TableField("PROJECT_ATTR")
    private String projectAttr;
    /**
     * 工程内容
     */
    @TableField("CONTENT")
    private String content;
    /**
     * 单位
     */
    @TableField("UNIT")
    private String unit;
    /**
     * 工程量
     */
    @TableField("QUANTITY")
    private BigDecimal quantity;
    /**
     * 单价
     */
    @TableField("PRICE")
    private BigDecimal price;
    /**
     * 限价
     */
    @TableField("LIMITED_PRICE")
    private BigDecimal limitedPrice;
    /**
     * 合价
     */
    @TableField("TOTAL")
    private BigDecimal total;
    /**
     * 类型(01：分部；02：清单；03：定额)
     */
    @TableField("KIND")
    private String kind;
    /**
     * 备注
     */
    @TableField("REMARK")
    private String remark;
    /**
     * 人工费
     */
    @TableField("RFEE")
    private BigDecimal rfee;
    /**
     * 材料费
     */
    @TableField("CFEE")
    private BigDecimal cfee;
    /**
     * 机械费
     */
    @TableField("JFEE")
    private BigDecimal jfee;
    /**
     * 管理费
     */
    @TableField("MANAGER_FEE")
    private BigDecimal managerFee;
    /**
     * 利润
     */
    @TableField("PROFIT_FEE")
    private BigDecimal profitFee;
    /**
     * 风险空置费
     */
    @TableField("RISK_FEE")
    private BigDecimal riskFee;
    /**
     * 工程项目外键Id
     */
    @TableField("PROJECT_ID")
    private String projectId;
    /**
     * 暂估价
     */
    @TableField("ZGJ")
    private BigDecimal zgj;
    /**
     * 序号
     */
    @TableField("SORT_NO")
    private Integer sortNo;
    /**
     * 招标项目外键Id
     */
    @TableField("TENDER_ID")
    private String tenderId;
    /**
     * 供应商Id
     */
    @TableField("SUPPLIER_ID")
    private String supplierId;

    public static final String QUOTA_ITEM_ID = "QUOTA_ITEM_ID";

    public static final String BILL_ID = "BILL_ID";

    public static final String QUOTA_CODE = "QUOTA_CODE";

    public static final String QUOTA_NAME = "QUOTA_NAME";

    public static final String QUOTA_TYPE = "QUOTA_TYPE";

    public static final String PROJECT_ATTR = "PROJECT_ATTR";

    public static final String CONTENT = "CONTENT";

    public static final String UNIT = "UNIT";

    public static final String QUANTITY = "QUANTITY";

    public static final String PRICE = "PRICE";

    public static final String LIMITED_PRICE = "LIMITED_PRICE";

    public static final String TOTAL = "TOTAL";

    public static final String KIND = "KIND";

    public static final String REMARK = "REMARK";

    public static final String RFEE = "RFEE";

    public static final String CFEE = "CFEE";

    public static final String JFEE = "JFEE";

    public static final String MANAGER_FEE = "MANAGER_FEE";

    public static final String PROFIT_FEE = "PROFIT_FEE";

    public static final String RISK_FEE = "RISK_FEE";

    public static final String PROJECT_ID = "PROJECT_ID";

    public static final String ZGJ = "ZGJ";

    public static final String SORT_NO = "SORT_NO";

    public static final String TENDER_ID = "TENDER_ID";

    public static final String SUPPLIER_ID = "SUPPLIER_ID";

}