package com.gx.obe.server.management.boq.service;

import com.baomidou.mybatisplus.extension.service.IService;
import java.util.List;
import com.gx.obe.server.management.boq.entity.ObeRatesTable;
 
/** 
 * @Description: 
 * @author mazc 
 */
public interface ObeRatesTableService extends IService<ObeRatesTable> {

 	/**
	 * @Description: 批量更新
	 * @author mazc
	 * @param ObeRatesTableList 
	 */
 	Integer updateByBatch(List<ObeRatesTable> ObeRatesTableList);
	
	/**
	 * @Description: 批量插入
	 * @author mazc
	 * @param ObeRatesTableList 
	 */
	Integer insertByBatch(List<ObeRatesTable> ObeRatesTableList);
	
	/**
     * @Description: 指定字段修改
     * @author chenxw
     * @param ObeRatesTable
	 * @param attributes
     */
    boolean updateAssignProperty(ObeRatesTable ObeRatesTable, String[] attributes);
    
    /**
     * @Description: 批量指定字段修改
     * @author chenxw
     * @param ObeRatesTableList
	 * @param attributes
     */
    Integer batchUpdateProperty(List<ObeRatesTable> ObeRatesTableList, String[] attributes);
	
	/** 
	 * @Description: 批量添加或跟新
	 * @author chenxw
	 * @param ObeRatesTableList
	 * @param attributes
	 * @return 
	 */
    Integer batchSaveOrUpdate(List<ObeRatesTable> ObeRatesTableList, String[] attributes);

	/**
	 * @param tenderId
	 * @param supplierId
	 * @return
	 * @Description: 获得供应商的费率列表
	 */
	List<ObeRatesTable> getRatesTableList(String tenderId, String supplierId, String projectId, String rateType);

}



