package com.gx.obe.server.management.config.dao;

import java.util.Date;
import java.util.List;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.gx.obe.server.management.config.entity.SysConfigValue;

/** 
 * @Description: 
 * @author mazc 
 */
@Mapper
public interface SysConfigValueMapper extends BaseMapper<SysConfigValue> {

	/**
	 * @Description: 批量更新
	 * @author mazc
	 * @param SysConfigValueList 
	 */
	public int updateBatchList(@Param("SysConfigValueList") List<SysConfigValue> SysConfigValueList);
	
	/**
	 * @Description: 批量插入
	 * @author mazc
	 * @param SysConfigValueList 
	 */
	public int insertByBatch(@Param("SysConfigValueList") List<SysConfigValue> SysConfigValueList);

	/**
     * @Description: 指定字段修改
     * @author chenxw
     * @param SysConfigValue
	 * @param attributes
     */
    public int updateAssignProperty(@Param("SysConfigValue")SysConfigValue SysConfigValue, @Param("attributes")String[] attributes);
    
    /**
     * @Description: 批量指定字段修改
     * @author chenxw
     * @param SysConfigValueList
	 * @param attributes
     */
    public int batchUpdateProperty(@Param("SysConfigValueList")List<SysConfigValue> SysConfigValueList, @Param("attributes")String[] attributes);
    
    /**
	 * @Description: 根据字典编码，获得有效字典值集合。
	 * @author mazc
	 * @param configCode
	 * @param useStatus
	 * @return 
	 */
	List<SysConfigValue> getConfigValueList(String configCode, String useStatus);

	/**
	 * @Description:根据字典编码，获得有效字典值集合。
	 * @author mazc
	 * @param configCode
	 * @param useStatus
	 * @return
	 */
	List<SysConfigValue> getConfigValueListByConfigCode(String configCode, String useStatus);

	/**
	 * @Description: 验证字典值编码唯一性
	 * @author mazc
	 * @param id
	 * @param configCode
	 * @return
	 */
	int isUniqueConfigValueCode(String configId, String id, String configValueCode);

	/**
	 * @Description: 获得系统配置的最大序号
	 * @author mazc
	 * @return
	 */
	int getMaxConfigValueSortNo(String configId);
	
	/**
	 * @Description: 获得系统配置的最晚修改时间
	 * @author mazc
	 * @return
	 */
	Date getLatestModifyTime(String configCode);

	/**
	 * @Description: 交换系统配置的排序
	 * @author mazc
	 * @param sourceSortNo
	 * @param sourceid
	 * @param targetSortNo
	 * @param targetId
	 * @return
	 */
	boolean changeConfigValueSortNo(Integer sourceSortNo, String sourceid, Integer targetSortNo, String targetId);

	List<SysConfigValue> getConfigValueListByConfigId(String configId, String useStatus);

}