package com.gx.obe.server.management.dictionary.controller;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.gx.obe.server.common.base.BaseController;
import com.gx.obe.server.management.dictionary.entity.DictLink;
import com.gx.obe.server.management.dictionary.service.DictLinkService;

import lombok.AllArgsConstructor;
/** 
 * @Description: 
 * @author mazc 
 */
@RestController
@AllArgsConstructor
@RequestMapping("/dictLink")
public class DictLinkController extends BaseController<DictLinkService,DictLink>{
	@Autowired
	public DictLinkService dictLinkServices;
	/**
	 * @Description: 批量插入
	 * @author mazc
	 * @param obeDictLinkList 
	 */
	@PostMapping("/insertByBatch")
	public int insertByBatch(@RequestBody List<DictLink> obeDictLinkList) {
		return dictLinkServices.insertByBatch(obeDictLinkList);
	}
	/**
	 * @Description: 批量更新
	 * @author mazc
	 * @param obeDictLinkList 
	 */
	@PostMapping("/updateByBatch")
	public int updateByBatch(@RequestBody List<DictLink> obeDictLinkList) {
		return dictLinkServices.updateByBatch(obeDictLinkList);
	}


	/**
	 * @Description: 删除项目的特征码检查项
	 * @author mazc
	 * @param tenderId
	 */
	@GetMapping("/deleteFeatureCheckItem")
	public boolean deleteFeatureCheckItem(String tenderId){
		return dictLinkServices.deleteFeatureCheckItem(tenderId);
	}
	
	/**
	 * @Description: 删除项目的清标检查项
	 * @author mazc
	 * @param tenderId
	 */
	@GetMapping("/deleteCleanTenderItem")
	public boolean deleteCleanTenderItem(String tenderId){
		return dictLinkServices.deleteCleanTenderItem(tenderId);
	}
	
	
}