package com.gx.obe.server.management.dictionary.entity;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
/**  
 * 
 * @author 
 * @Title: BaseDictionaryValue
 * @Package com.gx.obe.server.management.dictionary.entity  
 * @Description:   数据字典值表
 * @author: XiaoMa Pro - myzhichao@163.com
 * @date:   2019-05-13   
 * @version V1.0 
 * @Copyright: 2019 www.msypro.com Inc. All rights reserved. 
 *  
 */

@TableName("base_dictionary_value")
public class BaseDictionaryValue extends Model<BaseDictionaryValue> {
	private static final long serialVersionUID=1L;

    /**
     * 主键
     */
     @TableId("DICT_VALUE_ID")
     private String id;
    /**
     * 字典外键
     */
    @TableField("DICT_ID")
         private String dictId;
    /**
     * 字典值名称
     */
    @TableField("VALUE_NAME")
        private String dictValueName;
    /**
     * 字典值编码
     */
    @TableField("VALUE_CODE")
        private String dictValueCode;
    /**
     * 描述
     */
    @TableField("DESCRIPTION")
        private String dictValueDesc;
    /**
     * 序号
     */
    @TableField("SORT_NO")
        private Integer sortNo;
    /**
     * 使用状态（00：无效；01：有效）
     */
    @TableField("USE_STATUS")
        private String useStatus;
    /**
     * 字典值父ID
     */
    @TableField("DICT_VALUE_PARENT_ID")
        private String parentId;
    /**
     * 允许修改
     */
    @TableField("ALLOW_EDIT")
        private String allowEdit;
    /**
     * 允许删除
     */
    @TableField("ALLOW_DEL")
        private String allowDel;


 

    public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getDictId(){
        return dictId;
        }

        public void setDictId(String dictId) {
        this.dictId = dictId;
        }

   
 

    public Integer getSortNo(){
        return sortNo;
        }

        public void setSortNo(Integer sortNo) {
        this.sortNo = sortNo;
        }

    public String getUseStatus(){
        return useStatus;
        }

        public void setUseStatus(String useStatus) {
        this.useStatus = useStatus;
        }

  

    public String getAllowEdit(){
        return allowEdit;
        }

        public void setAllowEdit(String allowEdit) {
        this.allowEdit = allowEdit;
        }

    public String getAllowDel(){
        return allowDel;
        }

        public void setAllowDel(String allowDel) {
        this.allowDel = allowDel;
        }
        
        

    public String getDictValueName() {
			return dictValueName;
		}

		public void setDictValueName(String dictValueName) {
			this.dictValueName = dictValueName;
		}

		public String getDictValueCode() {
			return dictValueCode;
		}

		public void setDictValueCode(String dictValueCode) {
			this.dictValueCode = dictValueCode;
		}

		public String getDictValueDesc() {
			return dictValueDesc;
		}

		public void setDictValueDesc(String dictValueDesc) {
			this.dictValueDesc = dictValueDesc;
		}

		public String getParentId() {
			return parentId;
		}

		public void setParentId(String parentId) {
			this.parentId = parentId;
		}



	public static final String DICT_VALUE_ID ="DICT_VALUE_ID";

    public static final String DICT_ID ="DICT_ID";

    public static final String VALUE_NAME ="VALUE_NAME";

    public static final String VALUE_CODE ="VALUE_CODE";

    public static final String DESCRIPTION ="DESCRIPTION";

    public static final String SORT_NO ="SORT_NO";

    public static final String USE_STATUS ="USE_STATUS";

    public static final String DICT_VALUE_PARENT_ID ="DICT_VALUE_PARENT_ID";

    public static final String ALLOW_EDIT ="ALLOW_EDIT";

    public static final String ALLOW_DEL ="ALLOW_DEL";

@Override
protected Serializable pkVal(){
        return this.id;
    }

@Override
public String toString() {
    return "BaseDictionaryValue{" +
            ", id=" + id +
            ", dictId=" + dictId +
            ", dictValueName=" + dictValueName +
            ", dictValueCode=" + dictValueCode +
            ", dictValueDesc=" + dictValueDesc  +
            ", sortNo=" + sortNo +
            ", useStatus=" + useStatus +
            ", parentId=" + parentId +
            ", allowEdit=" + allowEdit +
            ", allowDel=" + allowDel +
    "}";
    }
    }
