package com.gx.obe.server.management.dictionary.service;

import java.util.List;

import org.springframework.web.bind.annotation.RequestBody;

import com.baomidou.mybatisplus.extension.service.IService;
import com.gx.obe.server.management.dictionary.entity.TransactionServerEntity;
 
/** 
 * @Description: 
 * @author mazc 
 */
public interface TransactionServerService extends IService<TransactionServerEntity> {
	
	
	/**
	 * @Description: 交换两个执行交易系统的排序
	 * @author mazc
	 * @param sourceSortNo
	 * @param sourceid
	 * @param targetSortNo
	 * @param targetId
	 * @return 
	 */
	boolean changeTransactionServerSortNo(String sourceSortNo, String sourceid, String targetSortNo, String targetId);
	
	
	
	/**
	 * @Description: 获得执行交易系统的最大序号
	 * @author mazc
	 * @return 
	 */
	int getMaxTransactionServerSortNo(); 
	
	
	/**
	 * @Description: 获得当前平台的服务信息
	 * @author mazc
	 * @param serName
	 * @param serverAddress
	 * @return 
	 */
	TransactionServerEntity getCurPlatformTransactionServer(String serName, String serverAddress);


	/**
	 * @Description: 获得指定状态的服务
	 * @author wangxiang
	 * @param realStatus
	 * @return 
	 */
	List<TransactionServerEntity> getStatusServerOrderBySortNo(String realStatus);
 
	
	 TransactionServerEntity getTransactionServerByServerAddress(String serverAddress);
	 
	 /**
		 * @Description: 
		 * @author mazc
		 * @param supplier
		 * @return 
		 */
		boolean updateAssignProperty(TransactionServerEntity transactionServerEntity);
		
		
		 List<TransactionServerEntity> getTransactionServerEntityAllOrderBySortNo();
		 
		 
		 /**
		 * @Description: 
		 * @author mazc
		 * @param transactionServerEntity
		 * @return 
		 */
		TransactionServerEntity saveOrUpdateReturn(@RequestBody TransactionServerEntity transactionServerEntity);
		
		
		 List<Object> getIdList(String serverName , String id);
}

