package com.gx.obe.server.management.dictionary.service.impl;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.gx.obe.server.management.dictionary.dao.DictLinkMapper;
import com.gx.obe.server.management.dictionary.entity.DictLink;
import com.gx.obe.server.management.dictionary.service.DictLinkService;

/** 
 * @Description: 
 * @author mazc 
 */
@Service
@Transactional
public class DictLinkServiceImpl extends ServiceImpl<DictLinkMapper, DictLink> implements DictLinkService {

	@Autowired
	private DictLinkMapper dictLinkMapper;
	
	/**
	 * @Description: 批量更新
	 * @author mazc
	 * @param ObeDictLinkList 
	 */
	 @Override
	 @Transactional(rollbackFor = Exception.class)
	public Integer updateByBatch (List<DictLink> ObeDictLinkList){
		return dictLinkMapper.updateBatchList(ObeDictLinkList);
	}
	
	/**
	 * @Description: 批量插入
	 * @author mazc
	 * @param ObeDictLinkList 
	 */
	 @Override
	 @Transactional(rollbackFor = Exception.class)
	public Integer insertByBatch (List<DictLink> ObeDictLinkList){
		return dictLinkMapper.insertByBatch(ObeDictLinkList);
	}

	/** 
	 * @Description: 删除项目的特征码检查项
	 * @author mazc
	 * @param tenderId
	 * @return 
	 */
	@Override
	public boolean deleteFeatureCheckItem(String tenderId) {
		return dictLinkMapper.deleteFeatureCheckItem(tenderId) > 0;
	}

	/** 
	 * @Description: 删除项目的清标检查项
	 * @author mazc
	 * @param tenderId
	 * @return 
	 */
	@Override
	public boolean deleteCleanTenderItem(String tenderId) {
		return dictLinkMapper.deleteCleanTenderItem(tenderId) > 0;
	}
	

}
