package com.gx.obe.server.management.editprice.controller;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.gx.obe.server.common.base.BaseController;
import com.gx.obe.server.management.editprice.entity.EditPriceItem;
import com.gx.obe.server.management.editprice.service.EditPriceItemService;
import com.gx.obe.server.management.vo.SaveEditPriceItemListVo;

import io.swagger.annotations.Api;
import lombok.AllArgsConstructor;
/** 
 * @Description: 
 * @author mazc 
 */
@Api(tags = "")
@RestController
@AllArgsConstructor
@RequestMapping("/editPriceItem")
public class EditPriceItemController extends BaseController<EditPriceItemService,EditPriceItem>{
	@Autowired
	public EditPriceItemService EditPriceItemServices;
	/**
	 * @Description: 批量插入
	 * @author mazc
	 * @param ObeEditPriceItemList 
	 */
	@PostMapping("/insertByBatch")
	public int insertByBatch(@RequestBody List<EditPriceItem> ObeEditPriceItemList) {
		return EditPriceItemServices.insertByBatch(ObeEditPriceItemList);
	}
	/**
	 * @Description: 批量更新
	 * @author mazc
	 * @param ObeEditPriceItemList 
	 */
	@PostMapping("/updateByBatch")
	public int updateByBatch(@RequestBody List<EditPriceItem> ObeEditPriceItemList) {
		return EditPriceItemServices.updateByBatch(ObeEditPriceItemList);
	}

	/**
	 * @Description: 
	 * @author mazc
	 * @param tenderId
	 * @return 
	 */
	@GetMapping("/getEditPriceItemList")
	public List<EditPriceItem> getEditPriceItemList(String tenderId){
		return EditPriceItemServices.getEditPriceItemList(tenderId);
	}
	
	@PostMapping("/saveEditPriceItemList")
	public boolean saveEditPriceItemList(@RequestBody SaveEditPriceItemListVo saveEditPriceItemListVo){
		List<EditPriceItem>  editPriceItemList = saveEditPriceItemListVo.getEditPriceItemList();
		List<EditPriceItem> removeList = saveEditPriceItemListVo.getRemoveList();
		return EditPriceItemServices.saveEditPriceItemList(editPriceItemList, removeList);
	}
}