package com.gx.obe.server.management.editprice.controller;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.gx.obe.server.common.base.BaseController;
import com.gx.obe.server.management.editprice.entity.EditPriceItemResult;
import com.gx.obe.server.management.editprice.service.EditPriceItemResultService;

import io.swagger.annotations.Api;
import lombok.AllArgsConstructor;
/** 
 * @Description: 
 * @author mazc 
 */
@Api(tags = "")
@RestController
@AllArgsConstructor
@RequestMapping("/editPriceItemResult")
public class EditPriceItemResultController extends BaseController<EditPriceItemResultService,EditPriceItemResult>{
	@Autowired
	public EditPriceItemResultService editPriceItemResultServices;
	/**
	 * @Description: 批量插入
	 * @author mazc
	 * @param ObeEditPriceItemResultList 
	 */
	@PostMapping("/insertByBatch")
	public int insertByBatch(@RequestBody List<EditPriceItemResult> ObeEditPriceItemResultList) {
		return editPriceItemResultServices.insertByBatch(ObeEditPriceItemResultList);
	}
	/**
	 * @Description: 批量更新
	 * @author mazc
	 * @param ObeEditPriceItemResultList 
	 */
	@PostMapping("/updateByBatch")
	public int updateByBatch(@RequestBody List<EditPriceItemResult> ObeEditPriceItemResultList) {
		return editPriceItemResultServices.updateByBatch(ObeEditPriceItemResultList);
	}
	@GetMapping("/getEditPriceItemResultList")
	public List<EditPriceItemResult> getEditPriceItemResultList(String tenderId){
		return editPriceItemResultServices.getEditPriceItemResultList(tenderId);
	}

}