package com.gx.obe.server.management.evaluation.controller;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.gx.obe.server.common.base.BaseController;
import com.gx.obe.server.management.evaluation.entity.EvaluationRoom;
import com.gx.obe.server.management.evaluation.service.EvaluationRoomService;

import io.swagger.annotations.Api;
import lombok.AllArgsConstructor;

 /**  
 * 
 * @author 
 * @Title: EvaluationRoomController  
 * @Package com.gx.obe.server.management.dictionary.controller   
 * @Description:   
 * @author: XiaoMa Pro - myzhichao@163.com
 * @date:   2019-05-13   
 * @version V1.0 
 * @Copyright: 2019 www.msypro.com Inc. All rights reserved. 
 *  
 */
@Api(tags = "评标室管理")
@RestController
@AllArgsConstructor
@RequestMapping("/evaluationroom")
public class EvaluationRoomController  extends BaseController<EvaluationRoomService, EvaluationRoom> {
	
	@Autowired
	private EvaluationRoomService evaluationRoomService;
	
	@GetMapping("/evaluationroomlist")
	public List<EvaluationRoom> getEvaluationRoomList(String useStatus) {
		return evaluationRoomService.getEvaluationRoomList(useStatus);
	}
	
	/**
	 * @Description: 获得当前评标区下的全部评标室集合
	 * @author mazc
	 * @param evaluationAreaId
	 * @return 
	 */
	@GetMapping("/getEvaluatoinRoomListByEvaluationAreaId")
	public List<EvaluationRoom> getEvaluatoinRoomListByEvaluationAreaId(String evaluationAreaId){
		return evaluationRoomService.getEvaluatoinRoomListByEvaluationAreaId(evaluationAreaId);
	}
	
	/**
	 * @Description: 根据项目Id和评标区Id，获得已分配的评标室。
	 * @author mazc
	 * @param tenderId
	 * @param evaluationAreaId
	 * @return 
	 */
	@GetMapping("/getProjectEvaluationRoomList")
	public List<EvaluationRoom> getProjectEvaluationRoomList(String tenderId, String evaluationAreaId){
		return evaluationRoomService.getProjectEvaluationRoomList(tenderId, evaluationAreaId);
	}
	
	/**
	 * @Description: 删除当前评标室
	 * @author mazc
	 * @param tenderId
	 * @return
	 */
	@GetMapping("/deleteEvaluationRoom")
	public boolean deleteEvaluationRoom(String roomId) {
		return evaluationRoomService.deleteEvaluationRoom(roomId);
	}
	
	/**
	 * @Description: 查询评标室
	 * @author wangxiang
	 * @return
	 */
	@GetMapping("/queryEvaluationRoomList")
	public List<EvaluationRoom> queryEvaluationRoomList(){
		QueryWrapper<EvaluationRoom> wrapper = new QueryWrapper<EvaluationRoom>();
		return evaluationRoomService.list(wrapper);
	}
	
	
	@PostMapping("/saveOrUpdateReturn")
	public EvaluationRoom saveOrUpdateReturn(@RequestBody EvaluationRoom evaluationRoom){
		return evaluationRoomService.saveOrUpdateReturn(evaluationRoom);
	}
	
	@GetMapping("/getEvaluationRoomIdList")
	public List<Object> getEvaluationRoomIdList(String id ,String evalRoomName,String evaluationAreaId){
		return evaluationRoomService.getEvaluationRoomIdList(id, evalRoomName, evaluationAreaId);
	}
	
}