package com.gx.obe.server.management.evaluation.controller;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.gx.obe.server.common.base.BaseController;
import com.gx.obe.server.management.evaluation.entity.ProjectEvaluationRoom;
import com.gx.obe.server.management.evaluation.service.ProjectEvaluationRoomService;

import io.swagger.annotations.Api;
import lombok.AllArgsConstructor;
/** 
 * @Description: 
 * @author mazc 
 */
@Api(tags = "")
@RestController
@AllArgsConstructor
@RequestMapping("/projectEvaluationRoom")
public class ProjectEvaluationRoomController extends BaseController<ProjectEvaluationRoomService,ProjectEvaluationRoom>{
	@Autowired
	public ProjectEvaluationRoomService projectEvaluationRoomServices;
	/**
	 * @Description: 批量插入
	 * @author mazc
	 * @param ObeProjectEvaluationRoomList 
	 */
	@PostMapping("/insertByBatch")
	public int insertByBatch(@RequestBody List<ProjectEvaluationRoom> ObeProjectEvaluationRoomList) {
		return projectEvaluationRoomServices.insertByBatch(ObeProjectEvaluationRoomList);
	}
	/**
	 * @Description: 批量更新
	 * @author mazc
	 * @param ObeProjectEvaluationRoomList 
	 */
	@PostMapping("/updateByBatch")
	public int updateByBatch(@RequestBody List<ProjectEvaluationRoom> ObeProjectEvaluationRoomList) {
		return projectEvaluationRoomServices.updateByBatch(ObeProjectEvaluationRoomList);
	}
	/**
	 * @Description: 是否存在主评标室
	 * @author mazc
	 * @param tenderId 项目ID
	 * @return
	 */
	@GetMapping("/isExistPrimaryRoom")
	public boolean isExistPrimaryRoom(String tenderId){
		return projectEvaluationRoomServices.isExistPrimaryRoom(tenderId);
	}
	
	/**
	 * @Description: 获得项目与评标室关联数据
	 * @author mazc
	 * @param tenderId
	 * @return
	 */
	@GetMapping("/getProjectEvalRoomList")
	public List<ProjectEvaluationRoom> getProjectEvalRoomList(String tenderId){
		return projectEvaluationRoomServices.getProjectEvalRoomList(tenderId);
	}
	
	@GetMapping("/deleteByTenderIdAndEvaluationRoomId")
	public int deleteByTenderIdAndEvaluationRoomId(String tenderId,String evaluationRoomId){
		return projectEvaluationRoomServices.deleteByTenderIdAndEvaluationRoomId(tenderId, evaluationRoomId);
	}
	
	@PostMapping("/updateAssignProperty")
	public boolean updateAssignProperty(@RequestBody ProjectEvaluationRoom projectEvaluationRoom) {
		return projectEvaluationRoomServices.updateAssignProperty(projectEvaluationRoom);
	}
	@PostMapping("/saveOrUpdate")
	public boolean saveOrUpdate(@RequestBody ProjectEvaluationRoom projectEvaluationRoom) {
		return projectEvaluationRoomServices.saveOrUpdate(projectEvaluationRoom);
	}
}