package com.gx.obe.server.management.evaluation.dao;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.gx.obe.server.management.evaluation.entity.BidPriceHisResult;
/** 
 * @Description: 
 * @author mazc 
 */
 @Mapper
public interface BidPriceHisResultMapper extends BaseMapper<BidPriceHisResult> {

	/**
	 * @Description: 批量插入
	 * @author mazc
	 * @param ObeBidPriceHisResultList 
	 */
	Integer updateBatchList (@Param("ObeBidPriceHisResultList")List<BidPriceHisResult> ObeBidPriceHisResultList);
	
	/**
	 * @Description: 批量插入
	 * @author mazc
	 * @param ObeBidPriceHisResultList 
	 */
	Integer insertByBatch (@Param("ObeBidPriceHisResultList")List<BidPriceHisResult> ObeBidPriceHisResultList);
	
	
	/**
	 * @Description:获得供应商报价的最大轮次 
	 * @author mazc
	 * @param tenderId
	 * @param supplierId
	 * @param bidPriceId
	 * @return 
	 */
	Integer getSupplierMaxPriceRound(@Param("tenderId")String tenderId, @Param("supplierId")String supplierId, @Param("bidPriceId")String bidPriceId);
	
	/**
	 * @Description:获得供应商报价的最大轮次 
	 * @author mazc
	 * @param tenderId
	 * @param supplierId
	 * @param bidPriceId
	 * @return 
	 */
	List<Map<String, Object>> getSupplierMaxPriceRound(@Param("tenderId")String tenderId, @Param("supplierId")String supplierId);
	
	/**
	 * @Description: 获得项目下指定轮次报价供应商报价完成情况
	 * @author guoyr
	 * @param tenderId
	 * @param round
	 * @param supplierId
	 * @return 
	 */
	List<Map<String, Object>> getSupplierBidPriceRoundComplateStatus(@Param("tenderId")String tenderId, @Param("supplierId")String supplierId, @Param("round")int round);
	
	/**
	 * @Description:  获得供应商的报价结果
	 * @author mazc
	 * @param tenderId
	 * @param bidprcieId
	 * @param supplierId
	 * @return 
	 */
	List<BidPriceHisResult> getBidPriceHisResultList(@Param("tenderId")String tenderId, @Param("bidPriceId")String bidPriceId, @Param("supplierId")String supplierId);
	
	
	/**
	 * @Description:  按轮次获得历史报价结果
	 * @author mazc
	 * @param tenderId
	 * @param bidPriceId
	 * @param round
	 * @return 
	 */
	List<BidPriceHisResult> getBidPriceHisResultListByRound(@Param("tenderId")String tenderId, @Param("bidPriceId")String bidPriceId, @Param("round")int round);
	
	/**
	 * @Description: 获得供应商的历史报价
	 * @author guoyr
	 * @param tenderId
	 * @param supplierId
	 * @param round
	 * @return 
	 */
	List<BidPriceHisResult> getSupplierBidPriceHisResultListByRound(@Param("tenderId")String tenderId, @Param("supplierId")String supplierId, @Param("round")int round);
	
	/**
	 * @Description: 删除分项报价
	 * @author mazc
	 * @return 
	 */
	Integer deleteByPriceId(@Param("bidPriceId") String bidPriceId);

	Integer deleteByTenderId(@Param("tenderId") String tenderId);
	
	List<BidPriceHisResult> getMaxRoundByTenderId(@Param("tenderId") String tenderId);
	
	
}