package com.gx.obe.server.management.evaluation.dao;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.gx.obe.server.management.evaluation.entity.BidPriceItemResult;

import java.util.List;
/** 
 * @Description: 
 * @author mazc 
 */
 @Mapper
public interface BidPriceItemResultMapper extends BaseMapper<BidPriceItemResult> {

	Integer updateObeBidPriceItemResultBatchList (@Param("ObeBidPriceItemResultList")List<BidPriceItemResult> ObeBidPriceItemResultList);

	/**
	 * @Description: 批量插入
	 * @author mazc
	 * @param ObeBidPriceItemResultList 
	 */
	Integer insertByBatch (@Param("ObeBidPriceItemResultList") List<BidPriceItemResult> ObeBidPriceItemResultList);
	/**
	 * @Description: 删除投标报价明细 按照tenderId删除 
	 * @author mazc
	 * @param tenderId
	 * @return 
	 */
	Integer deleteByTenderId (@Param("tenderId") String tenderId);
	
	/**
	 * @Description: 获得分项明细结果
	 * @author mazc
	 * @param supplierId
	 * @param bidPriceId
	 * @return 
	 */
	List<BidPriceItemResult> getBidPriceItemResultList(@Param("supplierId")String supplierId, @Param("bidPriceId")String bidPriceId);
	
	
	/**
	 * @Description: 删除分项报价条目
	 * @author mazc
	 * @param deletByPriceTimeId
	 * @return 
	 */
	Integer deletByPriceTimeId(@Param("bidPriceItemId") String bidPriceItemId);

	/**
	 * @Description: 更新条目内容
	 * @author mazc
	 * @param tenderId
	 * @param bidPriceId
	 * @param bidPriceItemId
	 * @param supplierId
	 * @param itemUnit
	 * @param itemContent
	 * @param itemValue
	 * @return 
	 */
	Integer updateItemContent(@Param("tenderId")String tenderId, @Param("bidPriceId")String bidPriceId, @Param("bidPriceItemId")String bidPriceItemId,
			@Param("supplierId")String supplierId,@Param("itemUnit")String itemUnit, @Param("itemContent")String itemContent, @Param("itemValue")String itemValue);
	
	
	/**
	 * @Description: 删除供应商报价明细
	 * @author mazc
	 * @param tenderId
	 * @param supplierId
	 * @return 
	 */
	Integer deletePriceResult(@Param("tenderId")String tenderId,@Param("supplierId")String supplierId);
	
	/**
	 * @Description: 删除分项报价
	 * @author mazc
	 * @return 
	 */
	Integer deleteByPriceId(@Param("bidPriceId") String bidPriceId);

	/**
	 * @Description: 获得分项明细结果
	 * @author wx
	 * @param bidPriceId
	 * @return 
	 */
	List<BidPriceItemResult> getBidPriceItemResultListByBidPriceId(@Param("bidPriceId") String bidPriceId);	
	

}