package com.gx.obe.server.management.evaluation.dao;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.gx.obe.server.management.evaluation.entity.BidPriceResult;

import java.util.List;
/** 
 * @Description:  投标报价
 * @author mazc 
 */
 @Mapper
public interface BidPriceResultMapper extends BaseMapper<BidPriceResult> {
	 
	/**
	 * @Description: 批量更新
	 * @author mazc
	 * @param ObeBidPriceResultList 
	 */
	 Integer updateBatchList(@Param("ObeBidPriceResultList") List<BidPriceResult> ObeBidPriceResultList);

	Integer updateObeBidPriceResultBatchList (@Param("ObeBidPriceResultList") List<BidPriceResult> ObeBidPriceResultList);
	
	/**
	 * @Description: 批量插入
	 * @author mazc
	 * @param ObeBidPriceResultList 
	 */
	Integer insertByBatch (@Param("ObeBidPriceResultList")List<BidPriceResult> ObeBidPriceResultList);

	/**
	 * @Description: 指定字段修改
	 * @author chenxw
	 * @param ObeBidPriceResult
	 * @param attributes
	 */
	Integer updateAssignProperty(@Param("ObeBidPriceResult")BidPriceResult ObeBidPriceResult, @Param("attributes")String[] attributes);

	/**
	 * @Description: 批量指定字段修改
	 * @author chenxw
	 * @param ObeBidPriceResultList
	 * @param attributes
	 */
	Integer batchUpdateProperty(@Param("ObeBidPriceResultList")List<BidPriceResult> ObeBidPriceResultList, @Param("attributes")String[] attributes);

	/**
	 * @Description: 获得供应商开标一览表
	 * @author guoyr
	 * @param tenderId
	 * @param supplierId
	 * @return 
	 */
	List<BidPriceResult> getBidPriceResultTableList(@Param("tenderId")String tenderId, @Param("supplierId")String supplierId);
	
	List<BidPriceResult> findBidPriceResultList(@Param("tenderId")String tenderId, @Param("bidPriceId")String bidPriceId);
	
	/**
	 * @Description: 获得供应商的分项报价
	 * @author mazc
	 * @param tenderId
	 * @param supplierId
	 * @return 
	 */
	List<BidPriceResult> getSupplierBidPriceResultList(@Param("tenderId")String tenderId, @Param("supplierId")String supplierId);
 	
	/**
	 * @Description: 删除投标报价明细 按照tenderId删除 
	 * @author mazc
	 * @param tenderId
	 * @return 
	 */
	Integer deleteByTenderId (@Param("tenderId") String tenderId);

	
	/**
	 * @Description: 获得唱标的分项报价
	 * @author mazc
	 * @param tenderId
	 * @return 
	 */
	List<BidPriceResult> getSingBidPriceResultList(@Param("tenderId") String tenderId);
	
	
	 /**
	 * @Description:  获得供应商的分项报价
	 * @author mazc
	 * @param bidPriceId
	 * @param supplierId
	 * @return 
	 */
	BidPriceResult getSupplierBidPriceResult(@Param("bidPriceId")String bidPriceId,@Param("supplierId") String supplierId);
	
	/**
	 * @Description: 删除供应商报价明细
	 * @author mazc
	 * @param tenderId
	 * @param supplierId
	 * @return 
	 */
	Integer deletePriceResult(@Param("tenderId")String tenderId,@Param("supplierId")String supplierId);
	
	/**
	 * @Description: 删除分项报价
	 * @author mazc
	 * @return 
	 */
	Integer deleteByPriceId(@Param("bidPriceId") String bidPriceId);
	
}