package com.gx.obe.server.management.evaluation.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import java.util.HashMap;
import java.util.Map;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.gx.obe.server.common.enumeration.CommonEnum;
import com.gx.obe.server.common.enumeration.EvaluationStepEnum;
import com.gx.obe.server.common.type.EvaluationFactorType;
import com.gx.obe.server.common.utils.SerializeUtils;
import com.gx.obe.server.common.utils.StringUtils;

/**
 * @Description:
 * @author mazc
 */

@TableName("obe_evaluation_step")
public class EvaluationStep extends Model<EvaluationStep> {
	private static final long serialVersionUID = 1L;

	/**
	 * 评标步骤主键
	 */
	@TableId("STEP_ID")
	private String id;
	/**
	 * 评标步骤名称
	 */
	@TableField("STEP_NAME")
	private String stepName;
	/**
	 * 项目外键
	 */
	@TableField("TENDER_ID")
	private String tenderId;
	/**
	 * 评审结点备注
	 */
	@TableField("STEP_MEMO")
	private String stepMemo;
	/**
	 * 排序
	 */
	@TableField("SORT_NO")
	private Integer sortNo;
	/**
	 * 评审结点类型
	 */
	@TableField("STEP_TYPE")
	private String stepType;
	/**
	 * 评标类型[00:默认;01:商务标;02:技术标;03:综合信用]
	 */
	@TableField("EVAL_BID_TYPE")
	private String evalBidType;
	/**
	 * 筛选类型
	 */
	@TableField("FILTER_TYPE")
	private String filterType;
	/**
	 * 投标人通过类型
	 */
	@TableField("PASS_TYPE")
	private String passType;
	/**
	 * 进度状态
	 */
	@TableField("STEP_STATUS")
	private String stepStatus;
	/**
	 * 控制状态
	 */
	@TableField("CONTROL_STATUS")
	private String controlStatus;
	/**
	 * 节点权限
	 */
	@TableField("ROLE_TYPE")
	private String roleType;
	/**
	 * 入围数量
	 */
	@TableField("FINALIST_NUMBER")
	private Integer finalistNumber;
	/**
	 * 汇总类型[00：全部;01：去除最高分和最低分]
	 */
	@TableField("SUMMARY_TYPE")
	private String summaryType;
	/**
	 * 是否允许导入其他专家结果
	 */
	@TableField("IMPORT_TYPE")
	private String importType;
	/**
	 * 参数
	 */
	@TableField("PARAMS")
	private byte[] params;
	/**
	 * 分值
	 */
	@TableField("SCORE")
	private BigDecimal score;
	/**
	 * 权重
	 */
	@TableField("WEIGHT")
	private BigDecimal weight;
	/**
	 * 暗标评审
	 */
	@TableField("DARK_EVALUATION")
	private String darkEvaluation;
	
	@TableField("EVALUATION_OPINION")
	private String evaluationOpinion;
	
	@TableField(exist = false)
    private Map<String, Object> paramsMap = null;
	
	@TableField(exist = false)
	private String oldRoleType;
	@TableField(exist = false)
	private String oldEvalBidType;

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getStepName() {
		return stepName;
	}

	public void setStepName(String stepName) {
		this.stepName = stepName;
	}

	public String getTenderId() {
		return tenderId;
	}

	public void setTenderId(String tenderId) {
		this.tenderId = tenderId;
	}

	public String getStepMemo() {
		return stepMemo;
	}

	public void setStepMemo(String stepMemo) {
		this.stepMemo = stepMemo;
	}

	public Integer getSortNo() {
		return sortNo;
	}

	public void setSortNo(Integer sortNo) {
		this.sortNo = sortNo;
	}

	public String getStepType() {
		return stepType;
	}

	public void setStepType(String stepType) {
		this.stepType = stepType;
	}

	public String getEvalBidType() {
		return evalBidType;
	}

	public void setEvalBidType(String evalBidType) {
		this.oldEvalBidType = this.evalBidType;
		this.evalBidType = evalBidType;
	}

	public String getFilterType() {
		return filterType;
	}

	public void setFilterType(String filterType) {
		this.filterType = filterType;
	}

	public String getPassType() {
		return passType;
	}

	public void setPassType(String passType) {
		this.passType = passType;
	}

	public String getStepStatus() {
		return stepStatus;
	}

	public void setStepStatus(String stepStatus) {
		this.stepStatus = stepStatus;
	}

	public String getControlStatus() {
		return controlStatus;
	}

	public void setControlStatus(String controlStatus) {
		this.controlStatus = controlStatus;
	}

	public String getRoleType() {
		return roleType;
	}

	public void setRoleType(String roleType) {
		this.oldRoleType = this.roleType;
		this.roleType = roleType;
	}

	public Integer getFinalistNumber() {
		return finalistNumber;
	}

	public void setFinalistNumber(Integer finalistNumber) {
		this.finalistNumber = finalistNumber;
	}

	public String getSummaryType() {
		return summaryType;
	}

	public void setSummaryType(String summaryType) {
		this.summaryType = summaryType;
	}

	public String getImportType() {
		return importType;
	}

	public void setImportType(String importType) {
		this.importType = importType;
	}

	public byte[] getParams() {
		return params;
	}

	public void setParams(byte[] params) {
		this.params = params;
	}

	public BigDecimal getScore() {
		return score;
	}

	public void setScore(BigDecimal score) {
		this.score = score;
	}

	public BigDecimal getWeight() {
		return weight;
	}

	public void setWeight(BigDecimal weight) {
		this.weight = weight;
	}

	public String getDarkEvaluation() {
		return darkEvaluation;
	}

	public void setDarkEvaluation(String darkEvaluation) {
		this.darkEvaluation = darkEvaluation;
	}
	
	public String getEvaluationOpinion() {
		return evaluationOpinion;
	}

	public void setEvaluationOpinion(String evaluationOpinion) {
		this.evaluationOpinion = evaluationOpinion;
	}

	/**
	 * @Description: 获得评标步骤的参数
	 * @author guoyr
	 * @param paramKey
	 * @return
	 */
	public <T> T getEvaluationParamByKey(String paramKey){
		return (T)this.getEvaluationParamByKey(paramKey, null, null);
	}
    
	/**
	 * @Description: 获得评标步骤的参数
	 * @author guoyr
	 * @param paramKey
	 * @return
	 */
	public <T> T getEvaluationParamByKey(String paramKey, Class<T> clazz){
		return (T)this.getEvaluationParamByKey(paramKey, clazz, null);
	}
	
	/**
	 * @Description: 获得评标步骤的参数
	 * @author guoyr
	 * @param paramKey
	 * @return
	 */
	@SuppressWarnings("unchecked")
	public <T> T getEvaluationParamByKey(String paramKey, Class<T> clazz, T defaultVlaue){
		T value = null;
		Object paramValue = null;

		try {
			if(null != params){
				if(null == paramsMap){
					paramsMap = SerializeUtils.deserializeObject(getParams());
				} 
				if(null != paramsMap){
					paramValue = paramsMap.get(paramKey);
					
				}
			}
		} catch (Exception e) {
//			Log.error(e);
		}finally{
			if(clazz == BigDecimal.class){
				try {
					if(null != paramValue){
						if(paramValue instanceof BigDecimal){
							value =(T) paramValue;
						}else {
							value =(T)new BigDecimal(paramValue.toString());
						}
					}
				} catch (Exception e) {
				}finally{
					if(null == value && null != defaultVlaue){
						value = defaultVlaue;
					}
				}
			}else if(clazz == Boolean.class || clazz == boolean.class){
				try {
					if(null != paramValue){
						if(paramValue instanceof Boolean){
							value =(T) paramValue;
						}else {
							if(paramValue.toString().equals("1")){
								value = (T)new Boolean(true);
							}else {
								value = (T)new Boolean(false);
							}
						}
					}
				} catch (Exception e) {
				}finally{
					if(null == value){
						if(null != defaultVlaue){
							value = defaultVlaue;
						}else {
							value = (T)new Boolean(false);
						}
					}
				}
			}else if(clazz == Integer.class || clazz == int.class){
				try {
					if(null != paramValue){
						if(paramValue instanceof Integer){
							value =(T) paramValue;
						}else {
							value = (T)Integer.valueOf(paramValue.toString());
						}
					}
				} catch (Exception e) {
				}finally{
					if(null == value){
						if(null != defaultVlaue){
							value = defaultVlaue;
						}else {
							value = (T)Integer.valueOf(0);
						}
					}
				}
			}else if(clazz == Double.class || clazz == double.class){
				try {
					if(null != paramValue){
						if(paramValue instanceof Double){
							value =(T) paramValue;
						}else {
							value = (T)Double.valueOf(paramValue.toString());
						}
					}
				} catch (Exception e) {
					
				}finally{
					if(null == value){
						if(null != defaultVlaue){
							value = defaultVlaue;
						}else {
							value = (T)Double.valueOf(0);
						}
					}
				}
			}else if(clazz == Date.class){
				if(null != paramValue){
					if(paramValue instanceof Date){
						value = (T) paramValue;
					}else {
//						value = (T)DateUtils.toDate(paramValue.toString());
					}
				}
				if(null == value && null != defaultVlaue){
					value = defaultVlaue;
				}
			}else {
				value = (T) paramValue;
				if(null == value && null != defaultVlaue){
					value = defaultVlaue;
				}
			}
		}
	
		return value;
	}
	
	
	/**
	 * @Description: 是否修改
	 * @author chenxw
	 * @return 
	 */
	public boolean isUpdate() {
		if (!StringUtils.equals(oldRoleType, roleType)) return true;
		if (!EvaluationStepEnum.EVAL_BID_TYPE.equals(roleType)) return false;
		return !StringUtils.equals(oldEvalBidType, evalBidType);
	}
	
	/**
	 * @Description: 初始化各种类型的节点
	 * @author guoyr
	 * @param id
	 * @param tenderId
	 * @param stepType
	 * @return
	 */
	public static EvaluationStep initEvaluationStep(String id, String stepName, String tenderId, String stepType, Integer sortNo,
																		String SHOW_SUMMARY_COMPLIANCE ,String SHOW_SUMMARY_SCORE){
		EvaluationStep node = new EvaluationStep();
		node.setId(id);
		node.setStepName(stepName);
		node.setStepType(stepType);
		node.setTenderId(tenderId);
		node.setRoleType(EvaluationStepEnum.EXPERT);
		node.setSortNo(sortNo);
		node.setFilterType(EvaluationStepEnum.FILTER_NO);
		if(stepType.equals(EvaluationStepEnum.SIGIN)){
//			node.setNodeName("签到");
//			node.setStepIco(ProjectUtils.getFileInputStreamByte(EvaluationStepEnum.SIGN_DEFAULT_IMAGE));
		}else if(stepType.equals(EvaluationStepEnum.COMPLIANCE)){
			node.setFilterType(EvaluationStepEnum.FILTER_YES);
			node.setPassType(EvaluationStepEnum.PASS_ALL);
			node.setEvaluationParam(EvaluationStepEnum.SHOW_SUMMARY_RESULT, SHOW_SUMMARY_COMPLIANCE);
//			node.setStepIco(ProjectUtils.getFileInputStreamByte(EvaluationStepEnum.COMPLIANCE_DEFAULT_IMAGE));
		}else if(stepType.equals(EvaluationStepEnum.DETAIL)){
			node.setEvaluationParam(EvaluationStepEnum.PARAM_EVALUATION_BY_SUPPLIER, true);
			node.setPassType(EvaluationStepEnum.PASS_ALL);
			node.setEvaluationParam(EvaluationStepEnum.PARAM_EXPER_SIGNATURE, false);
			node.setEvaluationParam(EvaluationStepEnum.SHOW_SUMMARY_RESULT, SHOW_SUMMARY_SCORE);
//			node.setStepIco(ProjectUtils.getFileInputStreamByte(EvaluationStepEnum.SCORE_DEFAULT_IMAGE));
		}else if(stepType.equals(EvaluationStepEnum.PRICE) ||stepType.equals(EvaluationStepEnum.BID_PRICE_LIMIT) || stepType.equals(EvaluationStepEnum.TOTAL_PRICE)){
			node.setRoleType(EvaluationStepEnum.EXPERT_LEADER);
			node.setEvalBidType(EvaluationFactorType.EVAL_BID_PRICE);
		}else if(stepType.equals(EvaluationStepEnum.CLEAN_TENDER)){
			node.setRoleType(EvaluationStepEnum.EXPERT_LEADER);
			node.setEvalBidType(EvaluationFactorType.EVAL_BID_PRICE);
		}else if(stepType.equals(EvaluationStepEnum.CREDIT)){
			node.setRoleType(EvaluationStepEnum.EXPERT_LEADER);
		}else if(stepType.equals(EvaluationStepEnum.RECOMMONED)){
			node.setRoleType(EvaluationStepEnum.EXPERT_LEADER);
		}
		node.setStepStatus(CommonEnum.NOT_START);
		return node;
	}
	/**
	 * @Description: 为评标步骤设置参数
	 * @author guoyr
	 * @param paramKey
	 * @param featureList
	 */
	public void setEvaluationParam(String paramKey, Object paramValue){
		if(null != params){
			if(null == paramsMap){
				paramsMap = SerializeUtils.deserializeObject(getParams());
			} 
		}
		if(null == paramsMap){
			paramsMap = new HashMap<String, Object>();
		}
		if(null != paramValue){
			paramsMap.put(paramKey, paramValue);
		}else {
			paramsMap.remove(paramKey);
		}
		params = SerializeUtils.serializeObject(paramsMap);
	}

	public static final String STEP_ID = "STEP_ID";

	public static final String STEP_NAME = "STEP_NAME";

	public static final String TENDER_ID = "TENDER_ID";

	public static final String STEP_MEMO = "STEP_MEMO";

	public static final String SORT_NO = "SORT_NO";

	public static final String STEP_TYPE = "STEP_TYPE";

	public static final String EVAL_BID_TYPE = "EVAL_BID_TYPE";

	public static final String FILTER_TYPE = "FILTER_TYPE";

	public static final String PASS_TYPE = "PASS_TYPE";

	public static final String STEP_STATUS = "STEP_STATUS";

	public static final String CONTROL_STATUS = "CONTROL_STATUS";

	public static final String ROLE_TYPE = "ROLE_TYPE";

	public static final String FINALIST_NUMBER = "FINALIST_NUMBER";

	public static final String SUMMARY_TYPE = "SUMMARY_TYPE";

	public static final String IMPORT_TYPE = "IMPORT_TYPE";

	public static final String PARAMS = "PARAMS";

	public static final String SCORE = "SCORE";

	public static final String WEIGHT = "WEIGHT";

	public static final String DARK_EVALUATION = "DARK_EVALUATION";
	
	public static final String EVALUATION_OPINION = "EVALUATION_OPINION";

	@Override
	protected Serializable pkVal() {
		return this.id;
	}
	

	@Override
	public String toString() {
		return "EvaluationStep{" + ", id=" + id + ", stepName=" + stepName + ", tenderId=" + tenderId + ", stepMemo="
				+ stepMemo + ", sortNo=" + sortNo + ", stepType=" + stepType + ", evalBidType=" + evalBidType
				+ ", filterType=" + filterType + ", passType=" + passType + ", stepStatus=" + stepStatus
				+ ", controlStatus=" + controlStatus + ", roleType=" + roleType + ", finalistNumber=" + finalistNumber
				+ ", summaryType=" + summaryType + ", importType=" + importType + ", params=" + params + ", score="
				+ score + ", weight=" + weight + ", darkEvaluation=" + darkEvaluation 
				+ ", evaluationOpinion=" + evaluationOpinion + "}";
	}
}
