package com.gx.obe.server.management.expert.controller;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.gx.obe.server.common.base.BaseController;
import com.gx.obe.server.management.expert.entity.DefaultFactorResult;
import com.gx.obe.server.management.expert.service.DefaultFactorResultService;

import io.swagger.annotations.Api;
import lombok.AllArgsConstructor;
/** 
 * @Description: 
 * @author mazc 
 */
@Api(tags = "")
@RestController
@AllArgsConstructor
@RequestMapping("/defaultFactorResult")
public class DefaultFactorResultController extends BaseController<DefaultFactorResultService,DefaultFactorResult>{
	@Autowired
	public DefaultFactorResultService defaultFactorResultServices;
	/**
	 * @Description: 批量插入
	 * @author mazc
	 * @param ObeDefaultFactorResultList 
	 */
	@PostMapping("/insertByBatch")
	public int insertByBatch(@RequestBody List<DefaultFactorResult> ObeDefaultFactorResultList) {
		return defaultFactorResultServices.insertByBatch(ObeDefaultFactorResultList);
	}
	/**
	 * @Description: 批量更新
	 * @author mazc
	 * @param ObeDefaultFactorResultList 
	 */
	@PostMapping("/updateByBatch")
	public int updateByBatch(@RequestBody List<DefaultFactorResult> ObeDefaultFactorResultList) {
		return defaultFactorResultServices.updateByBatch(ObeDefaultFactorResultList);
	}

	/**
	 * @Description: 通过tenderId stepId 获取初始化指标结果
	 * @author mazc
	 * @param tenderId
	 * @param stepId
	 * @return 
	 */
	@GetMapping("/findDefaultFactorResultByTenderIdAndStepId")
	public 	List<DefaultFactorResult> findDefaultFactorResultByTenderIdAndStepId(String tenderId ,String stepId){
		return defaultFactorResultServices.findDefaultFactorResultByTenderIdAndStepId(tenderId,stepId);
	}
}