package com.gx.obe.server.management.fileload.controller;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.gx.obe.server.common.vo.Result;
import com.gx.obe.server.management.fileload.entity.ParameterInfo;
import com.gx.obe.server.management.fileload.entity.FileInfoEntity;
import com.gx.obe.server.management.fileload.service.ReportFileService;

@RestController
@RequestMapping("/reportFile")
public class ReportFileController {
	
    @Value("${upload.folder}")
    private String uploadFolder;
    
	@Autowired
    private ReportFileService reportFileService;
    
    
    @PostMapping("/getReportFile")
	public List<FileInfoEntity> getReportFile(ParameterInfo fileInfo) {	
    	List<FileInfoEntity> list = reportFileService.getReportFile(uploadFolder, fileInfo);
    	return list;
	}

	@PostMapping("/getFileMD5")
	public Result<String> getFileMD5(String fileURL) {
	    return reportFileService.getFileMD5(uploadFolder, fileURL);
	}


}
