package com.gx.obe.server.management.fileload.service.impl;

import java.io.File;
import java.nio.file.Files;
import java.nio.file.Path;
import java.nio.file.Paths;
import java.util.ArrayList;
import java.util.List;

import org.springframework.stereotype.Service;

import com.gx.obe.server.common.utils.StringUtils;
import com.gx.obe.server.common.vo.Result;
import com.gx.obe.server.management.fileload.entity.FileInfoEntity;
import com.gx.obe.server.management.fileload.entity.ParameterInfo;
import com.gx.obe.server.management.fileload.service.BidFileService;
import com.gx.obe.server.management.fileload.utill.FileMd5Util;

/** 
 * @Description: 
 * @author mazc 
 */
@Service
public class BidFileServiceImp implements BidFileService{
	
	private static final org.slf4j.Logger log = org.slf4j.LoggerFactory.getLogger(BidFileServiceImp.class);
	
	@Override
	public List<FileInfoEntity> getReportFile(String folderPath, ParameterInfo fileInfo) {
		StringBuilder sb = new StringBuilder();
        sb.append(folderPath);
        if(StringUtils.isNotEmpty(fileInfo.getTenderId()) ) {
        	sb.append("/").append(fileInfo.getTenderId().trim());
        }
        if(StringUtils.isNotEmpty(fileInfo.getSupplierId()) ) {
        	sb.append("/").append(fileInfo.getSupplierId().trim());
        }
        
        if(StringUtils.isNotEmpty(fileInfo.getFileType()) ) {
        	sb.append("/").append(fileInfo.getFileType().trim());
        }
    	
    	Path paht = Paths.get(sb.toString());
     	List<FileInfoEntity> list = new ArrayList<FileInfoEntity>();
    	if (!Files.isWritable(paht)) {
    		return list;
    	}
    	File reportFileFolder = new File(paht.toAbsolutePath().toString());
    	File[] reportFiles = reportFileFolder.listFiles();
    	for(File file : reportFiles) {
    		StringBuilder filePaht = new StringBuilder();
    		if(StringUtils.isNotEmpty(fileInfo.getTenderId()) ) {
    			filePaht.append("/").append(fileInfo.getTenderId().trim());
    		}
     		if(StringUtils.isNotEmpty(fileInfo.getSupplierId()) ) {
     			filePaht.append("/").append(fileInfo.getSupplierId().trim());
    		}
     		if(StringUtils.isNotEmpty(fileInfo.getFileType()) ) {
     			filePaht.append("/").append(fileInfo.getFileType().trim());
     		}
    		filePaht.append("/").append(file.getName());
    		FileInfoEntity fileInfoEntity = new FileInfoEntity();
    		fileInfoEntity.setFileName(file.getName());
    		fileInfoEntity.setFileSize(file.length());
    		fileInfoEntity.setLocation(filePaht.toString());
    		fileInfoEntity.setFileMD5(FileMd5Util.getFileMD5(file));
    		list.add(fileInfoEntity);
    	}
 		return list; 
	}

}
