package com.gx.obe.server.management.fileload.service.impl;

import java.io.File;
import java.nio.file.Path;
import java.nio.file.Paths;

import org.springframework.stereotype.Service;

import com.gx.obe.server.common.utils.StringUtils;
import com.gx.obe.server.management.fileload.service.DeleteFileService;

/** 
 * @Description: 
 * @author mazc 
 */
@Service
public class DeleteFileServiceImp implements DeleteFileService{
	
	private static final org.slf4j.Logger log = org.slf4j.LoggerFactory.getLogger(DeleteFileServiceImp.class);
 
	@Override
	public boolean deleteFile(String folderPath, String tenderId, String supplierId, String fileType,String fileName) {
		StringBuilder sb = new StringBuilder();
        sb.append(folderPath);
        if(StringUtils.isNotEmpty(tenderId) ) {
        	sb.append("/").append(tenderId.trim());
        }
        if(StringUtils.isNotEmpty(supplierId) ) {
        	sb.append("/").append(supplierId.trim());
        }
        
        if(StringUtils.isNotEmpty(fileType) ) {
        	sb.append("/").append(fileType);
        }
        sb.append("/").append(fileName);
    	Path path = Paths.get(sb.toString());
    	File file = new File(path.toString());
    	if(file.exists()) {
    		return file.delete();
    	}
		return false;
	}

}
