package com.gx.obe.server.management.fileload.service.impl;

import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.beans.factory.annotation.Autowired;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;
import com.gx.obe.server.common.utils.IDUtils;
import com.gx.obe.server.common.utils.StringUtils;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.conditions.segments.MergeSegments;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import java.util.List;
import com.gx.obe.server.management.fileload.entity.VideoFile;
import com.gx.obe.server.management.fileload.dao.ObeVideoFileMapper;
import com.gx.obe.server.management.fileload.service.ObeVideoFileService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

/** 
 * @Description: 
 * @author mazc 
 */
@Service
@Transactional
public class ObeVideoFileServiceImpl extends ServiceImpl<ObeVideoFileMapper, VideoFile> implements ObeVideoFileService {

	@Autowired
	private ObeVideoFileMapper obeVideoFileMapper;

	@Override
	public List<VideoFile> getReportFile(String tenderId) {
		 QueryWrapper<VideoFile> queryWrapper = new QueryWrapper<VideoFile>();
		 queryWrapper.lambda().eq(VideoFile::getTenderId, tenderId).orderByDesc(VideoFile::getUserAccount);
		return obeVideoFileMapper.selectList(queryWrapper);
	}

	@Override
	public boolean saveOrUpadte(VideoFile entity) {
		 QueryWrapper<VideoFile> queryWrapper = new QueryWrapper<VideoFile>();
		 queryWrapper.lambda().eq(VideoFile::getTenderId, entity.getTenderId()).eq(VideoFile::getUserAccount,entity.getUserAccount())
		 .eq(VideoFile::getFilePath, entity.getFilePath());
		 VideoFile videoFile = obeVideoFileMapper.selectOne(queryWrapper);
		if(null == videoFile) {
			return obeVideoFileMapper.insert(entity) > 0;
		}else {
			videoFile.setCreateTime(new Date());
			videoFile.setFileSize(entity.getFileSize());
			return obeVideoFileMapper.updateById(videoFile) > 0;
		}		
	}
			


}
