package com.gx.obe.server.management.fileload.service.impl;

import java.io.File;
import java.nio.file.Files;
import java.nio.file.Path;
import java.nio.file.Paths;
import java.util.ArrayList;
import java.util.List;

import org.springframework.stereotype.Service;

import com.gx.obe.server.common.utils.StringUtils;
import com.gx.obe.server.common.vo.Result;
import com.gx.obe.server.management.fileload.entity.ParameterInfo;
import com.gx.obe.server.management.fileload.entity.FileInfoEntity;
import com.gx.obe.server.management.fileload.service.ReportFileService;
import com.gx.obe.server.management.fileload.utill.FileMd5Util;

/** 
 * @Description: 
 * @author mazc 
 */
@Service
public class ReportFileServiceImp implements ReportFileService{
	
	private static final org.slf4j.Logger log = org.slf4j.LoggerFactory.getLogger(ReportFileServiceImp.class);
	
	@Override
	public List<FileInfoEntity> getReportFile(String folderPath, ParameterInfo fileInfo) {
		StringBuilder sb = new StringBuilder();
        sb.append(folderPath);
        if(StringUtils.isNotEmpty(fileInfo.getTenderId()) ) {
        	sb.append("/").append(fileInfo.getTenderId().trim());
        }
        if(StringUtils.isNotEmpty(fileInfo.getSupplierId()) ) {
        	sb.append("/").append(fileInfo.getSupplierId().trim());
        }
        
        if(StringUtils.isNotEmpty(fileInfo.getFileType()) ) {
        	sb.append("/").append(fileInfo.getFileType().trim());
        }
    	
    	Path paht = Paths.get(sb.toString());
     	List<FileInfoEntity> list = new ArrayList<FileInfoEntity>();
    	if (!Files.isWritable(paht)) {
    		return list;
    	}
    	File reportFileFolder = new File(paht.toAbsolutePath().toString());
    	File[] reportFiles = reportFileFolder.listFiles();
    	for(File file : reportFiles) {
    		StringBuilder filePaht = new StringBuilder();
    		if(StringUtils.isNotEmpty(fileInfo.getTenderId()) ) {
    			filePaht.append("/").append(fileInfo.getTenderId().trim());
    		}
     		if(StringUtils.isNotEmpty(fileInfo.getSupplierId()) ) {
     			filePaht.append("/").append(fileInfo.getSupplierId().trim());
    		}
     		if(StringUtils.isNotEmpty(fileInfo.getFileType()) ) {
     			filePaht.append("/").append(fileInfo.getFileType().trim());
     		}
    		filePaht.append("/").append(file.getName());
    		FileInfoEntity fileInfoEntity = new FileInfoEntity();
    		fileInfoEntity.setFileName(file.getName());
    		fileInfoEntity.setFileSize(file.length());
    		fileInfoEntity.setLocation(filePaht.toString());
    		fileInfoEntity.setFileMD5(FileMd5Util.getFileMD5(file));
    		list.add(fileInfoEntity);
    	}
 		return list; 	
//    	if (!Files.isWritable(paht)) {
//             log.info("path not exist,create path: {}", sb.toString());
//             try {
//                 Files.createDirectories(paht);
//             } catch (IOException e) {
//                 log.error(e.getMessage(), e);
//             }
//         }
	}

	@Override
	public Result<String> getFileMD5(String uploadFolder, String fileURL) {
 			StringBuilder sb = new StringBuilder();
			sb.append(uploadFolder).append("/").append(fileURL);
			Path paht = Paths.get(sb.toString());
			File file = new File(paht.toAbsolutePath().toString());
			try {
				String md5 = FileMd5Util.getFileMD5(file);
				Result<String> result = new Result<String>();
				result.setCode(Result.SUCCESS);
				result.setData(md5);
				result.setMsg("success");
				return result;	
			} catch (Exception e) {
				Result<String> result = new Result<String>();
				result.setCode(Result.FAIL);
				result.setData("fail");
				result.setMsg("fail");
				return result;	
			}
	}

}
