package com.gx.obe.server.management.im.entity;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import lombok.Data;

/** 
 * @Description: 
 * @author mazc 
 */
@TableName("department")
@Data
public class Department extends Model<Department> {

	private static final long serialVersionUID = 1L;

	/**
	 * 部门主键
	 */
		    @TableId("DEPARTMENT_ID")
        	    	    	private String id;
	/**
	 * 部门名称
	 */
			@TableField("DEPARTMENT_NAME")
	    	    	private String departmentName;
	/**
	 * 部门描述
	 */
			@TableField("DEPARTMENT_DESCRIPTION")
	    	    	private String departmentDescription;
	/**
	 * 上级部门id
	 */
			@TableField("PARENT_ID")
	    	    	private String parentId;
	/**
	 * 使用状态
	 */
			@TableField("USE_STATUS")
	    	    	private String useStatus;
	/**
	 * 序号
	 */
			@TableField("SORT_NO")
			private Integer sortNo;

			@TableField(exist = false)
			private Department parentDepartment;
			@TableField(exist = false)
			private List<Department> childDepartmentList;
			
			public void addChild(Department factor) {
				if(null == childDepartmentList){
					childDepartmentList = new ArrayList<Department>();
				}
				childDepartmentList.add(factor);
			}


    public static final String DEPARTMENT_ID ="DEPARTMENT_ID";
	
    public static final String DEPARTMENT_NAME ="DEPARTMENT_NAME";
	
    public static final String DEPARTMENT_DESCRIPTION ="DEPARTMENT_DESCRIPTION";
	
    public static final String PARENT_ID ="PARENT_ID";
	
    public static final String USE_STATUS ="USE_STATUS";
	
    public static final String SORT_NO ="SORT_NO";
	
	@Override
	protected Serializable pkVal(){
        return this.id;
    }

	 
}