package com.gx.obe.server.management.im.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.gx.obe.server.management.im.entity.Employee;

import java.util.List;
 
/** 
 * @Description: 
 * @author mazc 
 */
public interface EmployeeService extends IService<Employee> {

 	/**
	 * @Description: 批量更新
	 * @author mazc
	 * @param EmployeeList 
	 */
 	Integer updateByBatch(List<Employee> EmployeeList);
	
	/**
	 * @Description: 批量插入
	 * @author mazc
	 * @param EmployeeList 
	 */
	Integer insertByBatch(List<Employee> EmployeeList);
	
	/**
     * @Description: 指定字段修改
     * @author chenxw
     * @param Employee
	 * @param attributes
     */
    boolean updateAssignProperty(Employee Employee, String[] attributes);
    
    /**
     * @Description: 批量指定字段修改
     * @author chenxw
     * @param EmployeeList
	 * @param attributes
     */
    Integer batchUpdateProperty(List<Employee> EmployeeList, String[] attributes);
	
	/** 
	 * @Description: 批量添加或跟新
	 * @author chenxw
	 * @param EmployeeList
	 * @param attributes
	 * @return 
	 */
    Integer batchSaveOrUpdate(List<Employee> EmployeeList, String[] attributes);
	
    
  
    /**
     * @Description: 获得最大的员工编号
     * @author mazc
     * @return 
     */
    int getMaxEmployeeNumber();
	

	/**
	 * @Description:  保存员工
	 * @author mazc
	 * @param employee
	 * @param assignedDepartmentIdList
	 * @return 
	 */
	public Employee saveEmployee(Employee employee, List<String> assignedDepartmentIdList);
	
 
	/**
	 * @Description: 获得部门的员工
	 * @author mazc
	 * @param depId
	 * @param isDirect
	 * @return 
	 */
	public List<Employee> getEmployeeOfDepartment(String depId, boolean isDirect);
	

	/**
	 * @Description:  获得群成员
	 * @author mazc
	 * @param groupId
	 * @return 
	 */
	public List<Employee> getEmployeeOfGroup(String groupId);
	
	
	 List<Employee> getEmployeeByLineStatus(String lineStatus);
	 
	 
	 void updateLineStatusById(String myid,String status);
}



