package com.gx.obe.server.management.im.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.gx.obe.server.management.im.entity.MessageFile;

import java.util.List;

import org.springframework.web.bind.annotation.RequestBody;
 
/** 
 * @Description: 
 * @author mazc 
 */
public interface MessageFileService extends IService<MessageFile> {

 	/**
	 * @Description: 批量更新
	 * @author mazc
	 * @param MessageFileList 
	 */
 	Integer updateByBatch(List<MessageFile> MessageFileList);
	
	/**
	 * @Description: 批量插入
	 * @author mazc
	 * @param MessageFileList 
	 */
	Integer insertByBatch(List<MessageFile> MessageFileList);
	
	/**
     * @Description: 指定字段修改
     * @author chenxw
     * @param MessageFile
	 * @param attributes
     */
    boolean updateAssignProperty(MessageFile MessageFile, String[] attributes);
    
    /**
     * @Description: 批量指定字段修改
     * @author chenxw
     * @param MessageFileList
	 * @param attributes
     */
    Integer batchUpdateProperty(List<MessageFile> MessageFileList, String[] attributes);
	
	/** 
	 * @Description: 批量添加或跟新
	 * @author chenxw
	 * @param MessageFileList
	 * @param attributes
	 * @return 
	 */
    Integer batchSaveOrUpdate(List<MessageFile> MessageFileList, String[] attributes);
    
 
	/**
	 * @Description: 获得同名的离线文件数
	 * @author mazc
	 * @param fileName
	 * @return 
	 */
    int getLixianFileCount(String fileName);
    
    
    boolean saveUpdate(MessageFile messageFile);
    
    List<MessageFile> getMessageFileListByReadTyepAndReceiveId(String readType, String id);
	
}



