package com.gx.obe.server.management.menu.dao;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.gx.obe.server.management.menu.entity.AuthMenuFunction;

 /**  
 * 
 * @author 
 * @Title: AuthMenuFunction
 * @Package com.gx.obe.server.management.menu.entity  
 * @Description:   AuthMenuFunctionMapper 接口
 * @author: XiaoMa Pro - myzhichao@163.com
 * @date:   2019-05-10   
 * @version V1.0 
 * @Copyright: 2019 www.msypro.com Inc. All rights reserved. 
 *  
 */
 @Mapper
public interface AuthMenuFunctionMapper extends BaseMapper<AuthMenuFunction> {
 
		 /**   
		 * @Title: getFunctionByMenuIdReturnMap   
		 * @Description: 通过菜单id查询功能
		 * @param: @param menuId
		 * @param: @return  
		 * @return: Map<String,Object>      
		 * @throws   
		 */  
	 List<Map<String, Object>>  getFunctionByMenuIdReturnMap(@Param("menuId") String menuId);
	 
	 
	 /**
	 * @Description:获得最大序号 
	 * @author mazc
	 * @param menuId
	 * @return 
	 */
	Integer getMaxSortNo(@Param("menuId")String menuId);
	
	
	/**
	 * @Description: 是否统一编码
	 * @author mazc
	 * @param menuId
	 * @param functionId
	 * @param functionCode
	 * @return 
	 */
	Integer isUniqueFunctionCode(@Param("menuId")String menuId, @Param("functionId")String functionId, @Param("functionCode")String functionCode);


	/**
	 * @Description: 批量插入
	 * @author wangxiang
	 * @param insertAuthMenuFunctionList
	 * @return 
	 */
	int insertByBatch(@Param("insertAuthMenuFunctionList") List<AuthMenuFunction> insertAuthMenuFunctionList);
	
    /**
     * @Description: 交换两个菜单的排序
     * @author mazc
     * @param sourceId
     * @param targetId
     * @return 
     */
    boolean changeResourceSortNo(@Param("sourceId")String sourceId, @Param("targetId")String targetId);

}