package com.gx.obe.server.management.negotiation.dao;

import org.apache.ibatis.annotations.Mapper;
import com.gx.obe.server.management.negotiation.entity.Negotiation;
import com.gx.obe.server.management.negotiation.entity.NegotiationResult;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import java.util.List;
/** 
 * @Description: 
 * @author mazc 
 */
 @Mapper
public interface NegotiationMapper extends BaseMapper<Negotiation> {

	/**
	 * @Description: 批量插入
	 * @author mazc
	 * @param ObeNegotiationList 
	 */
	Integer updateBatchList (List<Negotiation> ObeNegotiationList);
	
	/**
	 * @Description: 批量插入
	 * @author mazc
	 * @param ObeNegotiationList 
	 */
	Integer insertByBatch (List<Negotiation> ObeNegotiationList);

	/**
	 * @Description: 获得竞争性谈判评标结果
	 * @param tenderId 项目ID编号
	 * @param stepId 项目评标步骤ID编号
	 * @param supplierId 投标人ID编号
	 * @return List<NegotiationResult>
	 */
	List<NegotiationResult> getEvalNegotiationResult(String tenderId, String stepId, String supplierId);

}