package com.gx.obe.server.management.other.entity;

import java.io.Serializable;
import java.util.Date;

import org.springframework.format.annotation.DateTimeFormat;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.gx.obe.server.management.evaluation.entity.EvaluationStep;
import com.gx.obe.server.management.supplier.entity.Supplier;
import com.gx.obe.server.management.user.entity.AuthUserEntity;
/** 
 * @Description: 
 * @author mazc 
 */

@TableName("obe_inquire_envelop")
public class InquireEnvelop extends Model<InquireEnvelop> {
	private static final long serialVersionUID=1L;

    /**
     * 询标函主键
     */
            @TableId("INQUIRE_ENVELOP_ID")
                private String id;
    /**
     * 咨询内容
     */
    @TableField("CONTENT")
        private String content;
    /**
     * 评审成员外键
     */
    @TableField("USER_ID")
        private String userId;
    /**
     * 评标步骤外键
     */
    @TableField("STEP_ID")
        private String stepId;
    /**
     * 项目外键
     */
    @TableField("TENDER_ID")
        private String tenderId;
    /**
     * 投标人外键
     */
    @TableField("SUPPLIER_ID")
        private String supplierId;
    /**
     * 创建时间
     */
    @TableField("CREATE_TIME")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
     private Date createTime;
    
    @TableField(exist = false)
 	private EvaluationStep evaluationStep;// 节点
    @TableField(exist = false)
 	private AuthUserEntity user;// 用户
    @TableField(exist = false)
 	private Supplier supplier;// 投标人

    public EvaluationStep getEvaluationStep() {
		return evaluationStep;
	}

	public void setEvaluationStep(EvaluationStep evaluationStep) {
		this.evaluationStep = evaluationStep;
	}

	public AuthUserEntity getUser() {
		return user;
	}

	public void setUser(AuthUserEntity user) {
		this.user = user;
	}

	public Supplier getSupplier() {
		return supplier;
	}

	public void setSupplier(Supplier supplier) {
		this.supplier = supplier;
	}

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getContent(){
        return content;
        }

        public void setContent(String content) {
        this.content = content;
        }

    public String getUserId(){
        return userId;
        }

        public void setUserId(String userId) {
        this.userId = userId;
        }

    public String getStepId(){
        return stepId;
        }

        public void setStepId(String stepId) {
        this.stepId = stepId;
        }

    public String getTenderId(){
        return tenderId;
        }

        public void setTenderId(String tenderId) {
        this.tenderId = tenderId;
        }

    public String getSupplierId(){
        return supplierId;
        }

        public void setSupplierId(String supplierId) {
        this.supplierId = supplierId;
        }

    public Date getCreateTime(){
        return createTime;
        }

        public void setCreateTime(Date createTime) {
        this.createTime = createTime;
        }

    public static final String INQUIRE_ENVELOP_ID ="INQUIRE_ENVELOP_ID";

    public static final String CONTENT ="CONTENT";

    public static final String USER_ID ="USER_ID";

    public static final String STEP_ID ="STEP_ID";

    public static final String TENDER_ID ="TENDER_ID";

    public static final String SUPPLIER_ID ="SUPPLIER_ID";

    public static final String CREATE_TIME ="CREATE_TIME";

@Override
protected Serializable pkVal(){
        return this.id;
    }

@Override
public String toString() {
    return "InquireEnvelop{" +
            ", id=" + id +
            ", content=" + content +
            ", userId=" + userId +
            ", stepId=" + stepId +
            ", tenderId=" + tenderId +
            ", supplierId=" + supplierId +
            ", createTime=" + createTime +
    "}";
    }
    }
