package com.gx.obe.server.management.price.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * @author mazc
 * @Description:
 */
@EqualsAndHashCode(callSuper = true)
@Data
@TableName("obe_bid_price_round_status")
public class BidPriceRoundStatus extends Model<BidPriceRoundStatus> {
    private static final long serialVersionUID = 1L;

    @TableId("PRICE_ROUND_STATUS_ID")
    private String id;
    @TableField("PRICE_ROUND_ID")
    private String priceRoundId;
    @TableField("SUPPLIER_ID")
    private String supplierId;
    /**
     * 00:未报价 01:完成报价
     */
    @TableField("PRICE_STATUS")
    private String priceStatus;

    @TableField("BID_PRICE_FILE_URL")
    private String bidPriceFileUrl;

    @TableField("BID_PRICE_FILE_NAME")
    private String bidPriceFileName;

    public static final String PRICE_ROUND_STATUS_ID = "PRICE_ROUND_STATUS_ID";

    public static final String PRICE_ROUND_ID = "PRICE_ROUND_ID";

    public static final String SUPPLIER_ID = "SUPPLIER_ID";

    public static final String PRICE_STATUS = "PRICE_STATUS";

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    @Override
    public String toString() {
        return "ObeBidPriceRoundStatus{" +
                ", id=" + id +
                ", priceRoundId=" + priceRoundId +
                ", supplierId=" + supplierId +
                ", priceStatus=" + priceStatus +
                "}";
    }
}