package com.gx.obe.server.management.struct_new.controller;

import com.gx.obe.server.common.base.BaseController;
import com.gx.obe.server.management.struct_new.entity.ObeBusinessLicense;
import com.gx.obe.server.management.struct_new.service.ObeBusinessLicenseService;
import io.swagger.annotations.Api;
import lombok.AllArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * @author mazc
 * @Description:
 */
@Api(tags = "")
@RestController
@AllArgsConstructor
@RequestMapping("/obeBusinessLicense")
public class ObeBusinessLicenseController extends BaseController<ObeBusinessLicenseService, ObeBusinessLicense> {
    @Autowired
    public ObeBusinessLicenseService ObeBusinessLicenseServices;

    /**
     * @param ObeBusinessLicenseList
     * @Description: 批量插入
     * @author mazc
     */
    @PostMapping("/insertByBatch")
    public int insertByBatch(@RequestBody List<ObeBusinessLicense> ObeBusinessLicenseList) {
        return ObeBusinessLicenseServices.insertByBatch(ObeBusinessLicenseList);
    }

    /**
     * @param ObeBusinessLicenseList
     * @Description: 批量更新
     * @author mazc
     */
    @PostMapping("/updateByBatch")
    public int updateByBatch(@RequestBody List<ObeBusinessLicense> ObeBusinessLicenseList) {
        return ObeBusinessLicenseServices.updateByBatch(ObeBusinessLicenseList);
    }

    /**
     * @param tenderId
     * @param modelDataId
     * @return
     * @Description: 获取营业执照列表
     * @author chenxw
     */
    @GetMapping("/getBusinessLicenseList")
    public List<ObeBusinessLicense> getBusinessLicenseList(String tenderId, String modelDataId) {
        return ObeBusinessLicenseServices.getBusinessLicenseList(tenderId, modelDataId);
    }

}