package com.gx.obe.server.management.struct_new.controller;

import com.gx.obe.server.common.base.BaseController;
import com.gx.obe.server.management.struct_new.entity.ObeQualification;
import com.gx.obe.server.management.struct_new.service.ObeQualificationService;
import io.swagger.annotations.Api;
import lombok.AllArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * @author mazc
 * @Description:
 */
@Api(tags = "")
@RestController
@AllArgsConstructor
@RequestMapping("/obeQualification")
public class ObeQualificationController extends BaseController<ObeQualificationService, ObeQualification> {

    @Autowired
    public ObeQualificationService ObeQualificationServices;

    /**
     * @param ObeQualificationList
     * @Description: 批量插入
     * @author mazc
     */
    @PostMapping("/insertByBatch")
    public int insertByBatch(@RequestBody List<ObeQualification> ObeQualificationList) {
        return ObeQualificationServices.insertByBatch(ObeQualificationList);
    }

    /**
     * @param ObeQualificationList
     * @Description: 批量更新
     * @author mazc
     */
    @PostMapping("/updateByBatch")
    public int updateByBatch(@RequestBody List<ObeQualification> ObeQualificationList) {
        return ObeQualificationServices.updateByBatch(ObeQualificationList);
    }

    /**
     * @param tenderId
     * @param modelDataId
     * @return
     * @Description: 获取证书列表
     * @author chenxw
     */
    @GetMapping("/getQualificationList")
    public List<ObeQualification> getQualificationList(String tenderId, String modelDataId) {
        return ObeQualificationServices.getQualificationList(tenderId, modelDataId);
    }

}