package com.gx.obe.server.management.struct_new.controller;

import com.gx.obe.server.common.base.BaseController;
import com.gx.obe.server.management.struct_new.entity.ObeTemplateTable;
import com.gx.obe.server.management.struct_new.service.ObeTemplateTableService;
import io.swagger.annotations.Api;
import lombok.AllArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * @author mazc
 * @Description:
 */
@Api(tags = "")
@RestController
@AllArgsConstructor
@RequestMapping("/obeTemplateTable")
public class ObeTemplateTableController extends BaseController<ObeTemplateTableService, ObeTemplateTable> {

    @Autowired
    public ObeTemplateTableService ObeTemplateTableServices;

    /**
     * @param ObeTemplateTableList
     * @Description: 批量插入
     * @author mazc
     */
    @PostMapping("/insertByBatch")
    public int insertByBatch(@RequestBody List<ObeTemplateTable> ObeTemplateTableList) {
        return ObeTemplateTableServices.insertByBatch(ObeTemplateTableList);
    }

    /**
     * @param ObeTemplateTableList
     * @Description: 批量更新
     * @author mazc
     */
    @PostMapping("/updateByBatch")
    public int updateByBatch(@RequestBody List<ObeTemplateTable> ObeTemplateTableList) {
        return ObeTemplateTableServices.updateByBatch(ObeTemplateTableList);
    }

    /**
     * @param tenderId
     * @param supplierId
     * @param relChapterType
     * @param dataCode
     * @return
     * @Description: 获取小范本表格
     * @author chenxw
     */
    @GetMapping("/getTemplateTable")
    public ObeTemplateTable getTemplateTable(String tenderId, String supplierId, String relChapterType, String dataCode) {
        return ObeTemplateTableServices.getTemplateTable(tenderId, supplierId, relChapterType, dataCode);
    }

    /**
     * @param tenderId
     * @param relChapterType
     * @param dataCode
     * @return
     * @Description: 获取小范本表格列表
     * @author chenxw
     */
    @GetMapping("/getTemplateTableList")
    public List<ObeTemplateTable> getTemplateTableList(String tenderId, String relChapterType, String dataCode) {
        return ObeTemplateTableServices.getTemplateTableList(tenderId, relChapterType, dataCode);
    }

}