package com.gx.obe.server.management.struct_new.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.gx.obe.server.management.struct_new.entity.ObeFinance;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author mazc
 * @Description:
 */
@Mapper
public interface ObeFinanceMapper extends BaseMapper<ObeFinance> {

    /**
     * @param ObeFinanceList
     * @Description: 批量更新
     * @author mazc
     */
    Integer updateBatchList(@Param("ObeFinanceList") List<ObeFinance> ObeFinanceList);

    /**
     * @param ObeFinanceList
     * @Description: 批量插入
     * @author mazc
     */
    Integer insertByBatch(@Param("ObeFinanceList") List<ObeFinance> ObeFinanceList);

    /**
     * @param ObeFinance
     * @param attributes
     * @Description: 指定字段修改
     * @author chenxw
     */
    Integer updateAssignProperty(@Param("ObeFinance") ObeFinance ObeFinance, @Param("attributes") String[] attributes);

    /**
     * @param ObeFinanceList
     * @param attributes
     * @Description: 批量指定字段修改
     * @author chenxw
     */
    Integer batchUpdateProperty(@Param("ObeFinanceList") List<ObeFinance> ObeFinanceList, @Param("attributes") String[] attributes);

    /**
     * @param tenderId
     * @param modelDataId
     * @return
     * @Description: 获取财务状况列表
     * @author chenxw
     */
    List<ObeFinance> getFinanceList(@Param("tenderId") String tenderId, @Param("modelDataId") String modelDataId);
}