package com.gx.obe.server.management.struct_new.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.gx.obe.server.management.struct_new.entity.ObeTemplateDataItem;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author mazc
 * @Description:
 */
@Mapper
public interface ObeTemplateDataItemMapper extends BaseMapper<ObeTemplateDataItem> {

    /**
     * @param ObeTemplateDataItemList
     * @Description: 批量更新
     * @author mazc
     */
    Integer updateBatchList(@Param("ObeTemplateDataItemList") List<ObeTemplateDataItem> ObeTemplateDataItemList);

    /**
     * @param ObeTemplateDataItemList
     * @Description: 批量插入
     * @author mazc
     */
    Integer insertByBatch(@Param("ObeTemplateDataItemList") List<ObeTemplateDataItem> ObeTemplateDataItemList);

    /**
     * @param ObeTemplateDataItem
     * @param attributes
     * @Description: 指定字段修改
     * @author chenxw
     */
    Integer updateAssignProperty(@Param("ObeTemplateDataItem") ObeTemplateDataItem ObeTemplateDataItem, @Param("attributes") String[] attributes);

    /**
     * @param ObeTemplateDataItemList
     * @param attributes
     * @Description: 批量指定字段修改
     * @author chenxw
     */
    Integer batchUpdateProperty(@Param("ObeTemplateDataItemList") List<ObeTemplateDataItem> ObeTemplateDataItemList, @Param("attributes") String[] attributes);

    /**
     * @param tenderId
     * @param supplierId
     * @param factorCode
     * @return
     * @Description: 获取小范本表单列表
     * @author chenxw
     */
    List<ObeTemplateDataItem> getTemplateDataItemList(@Param("tenderId") String tenderId, @Param("supplierId") String supplierId, @Param("factorCode") String factorCode);

    /**
     * @param tenderId
     * @param supplierId
     * @param contentId
     * @return
     * @Description: 获取小范本表单列表
     * @author chenxw
     */
    List<ObeTemplateDataItem> getListByContentId(@Param("tenderId") String tenderId, @Param("supplierId") String supplierId, @Param("contentId") String contentId);
}