package com.gx.obe.server.management.struct_new.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

/**
 * @author mazc
 * @Description:
 */
@EqualsAndHashCode(callSuper = true)
@Data
@TableName("obe_project_leader")
public class ObeProjectLeader extends Model<ObeProjectLeader> {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId("ID")
    private String id;
    /**
     * 项目ID
     */
    @TableField("TENDER_ID")
    private String tenderId;
    /**
     * 模型数据ID
     */
    @TableField("MODEL_DATA_ID")
    private String modelDataId;
    /**
     * 公司名称
     */
    @TableField("COMPANY_NAME")
    private String companyName;
    /**
     * 姓名
     */
    @TableField("LEADER_NAME")
    private String leaderName;
    /**
     * 身份证号
     */
    @TableField("IDNUMBER")
    private String idnumber;
    /**
     * 年龄
     */
    @TableField("AGE")
    private String age;
    /**
     * 职务名称
     */
    @TableField("JOB_TITLE")
    private String jobTitle;
    /**
     * 工作经验（年）
     */
    @TableField("WORK_EXPERIENCE")
    private String workExperience;
    /**
     * 当前专业工作年限
     */
    @TableField("CURRENT_MAJOR_EXPERIENCE")
    private String currentMajorExperience;
    /**
     * 毕业学校
     */
    @TableField("GRADUATE_SCHOOL")
    private String graduateSchool;
    /**
     * 毕业专业
     */
    @TableField("GRADUATE_MAJOR")
    private String graduateMajor;
    /**
     * 学历
     */
    @TableField("EDUCATION")
    private String education;
    /**
     * 职称
     */
    @TableField("PROFESSIONAL_TITLE")
    private String professionalTitle;

    /**
     * 是否为项目负责人
     */
    @TableField("IS_LEADER_FLAG")
    private String isLeaderFlag;

    /**
     * 证书列表
     */
    @TableField(exist = false)
    private List<ObeCertificate> certificateList;
    /**
     * 工作经历
     */
    @TableField(exist = false)
    private List<ObeWorkExperience> workExperienceList;

}