package com.gx.obe.server.management.struct_new.enums;

import com.gx.obe.server.common.utils.EnumUtils;

import java.util.Map;

public enum ModelDataTypeEnum {
	
	/**
	 * 投标人基本情况
	 */
	EQ_BidderBasicInfo("EQ_BidderBasicInfo", ModelDataClassEnum.BidderInfo),
	/**
	 * 营业执照
	 */
	EQ_BusinessLicense("EQ_BusinessLicense", ModelDataClassEnum.BusinessLicense),
	/**
	 * 财务报告
	 */
	EQ_FinancialReport("EQ_FinancialReport", ModelDataClassEnum.Finance),
	/**
	 * 项目负责人
	 */
	EQ_ProjectLeader("EQ_ProjectLeader", ModelDataClassEnum.ProjectLeader),
//	/**
//	 * 施工业绩
//	 */
//	EQ_Construction("EQ_Construction", ModelDataClassEnum.Performance),
//	/**
//	 * 勘察设计
//	 */
//	EQ_SurveyDesign("EQ_SurveyDesign", ModelDataClassEnum.Performance),
//	/**
//	 * 监理业绩
//	 */
//	EQ_Supervision("EQ_Supervision", ModelDataClassEnum.Performance),
//	/**
//	 * 采购业绩
//	 */
//	EQ_Procurement("EQ_Procurement", ModelDataClassEnum.Performance),
//	/**
//	 * 生产业绩
//	 */
//	EQ_Production("EQ_Production", ModelDataClassEnum.Performance),
	/**
	 * 安全生产许可证
	 */
	EQ_Qualification_SCXK("EQ_Qualification_SCXK", ModelDataClassEnum.Qualification),
	/**
	 * 质量体系认证证书
	 */
	EQ_Qualification_ZLTX("EQ_Qualification_ZLTX", ModelDataClassEnum.Qualification),
	/**
	 * 职业健康安全管理体系
	 */
	EQ_Qualification_ZYJK("EQ_Qualification_ZYJK", ModelDataClassEnum.Qualification),
	/**
	 * 环境管理体系认证证书
	 */
	EQ_Qualification_HBTX("EQ_Qualification_HBTX", ModelDataClassEnum.Qualification),
	/**
	 * 全国工业生产许可证
	 */
	EQ_Qualification_QGGYSCXK("EQ_Qualification_QGGYSCXK", ModelDataClassEnum.Qualification),
	/**
	 * 其他资质证书（华能企业资质证书）
	 */
	EQ_Qualification("EQ_Qualification", ModelDataClassEnum.Qualification),
	/**
	 * 国家级奖项（华能新增）
	 */
	EQ_Qualification_GJ_JX("EQ_Qualification_GJ_JX", ModelDataClassEnum.Qualification),
	/**
	 * 省部级奖励（华能新增）
	 */
	EQ_Qualification_SJ_JX("EQ_Qualification_SJ_JX", ModelDataClassEnum.Qualification),
	/**
	 * 所建工程国家级奖励
	 */
	EQ_Qualification_GJ_GCJX("EQ_Qualification_GJ_GCJX", ModelDataClassEnum.Qualification),
	/**
	 * 所建工程省部级奖励
	 */
	EQ_Qualification_SJ_GCJX("EQ_Qualification_SJ_GCJX", ModelDataClassEnum.Qualification),
	/**
	 * 资信等级（需要统一等级）
	 */
	EQ_Qualification_ZXDJ("EQ_Qualification_ZXDJ", ModelDataClassEnum.Qualification),
	/**
	 * 设计资质
	 */
	EQ_Qualification_SJZZ("EQ_Qualification_SJZZ", ModelDataClassEnum.Qualification),
	/**
	 * 施工资质
	 */
	EQ_Qualification_SGZZ("EQ_Qualification_SGZZ", ModelDataClassEnum.Qualification),
	/**
	 * 监理资质
	 */
	EQ_Qualification_JLZZ("EQ_Qualification_JLZZ", ModelDataClassEnum.Qualification),
	/**
	 * 检验报告
	 */
	EQ_Qualification_SurveyReport("EQ_Qualification_SurveyReport", ModelDataClassEnum.Qualification);
	
	
	public static Map<String, ModelDataTypeEnum> MAP = EnumUtils.toMap(values(), ModelDataTypeEnum::getKey);

	private String key;
	
	private ModelDataClassEnum classEnum;
	
	ModelDataTypeEnum(String key, ModelDataClassEnum classEnum) {
		this.key = key;
		this.classEnum = classEnum;
	}
	
	public String getKey() {
		return key;
	}
	
	public ModelDataClassEnum getClassEnum() {
		return classEnum;
	}
	
}
