package com.gx.obe.server.management.struct_new.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.gx.obe.server.management.struct_new.entity.ObeBusinessLicense;

import java.util.List;

/**
 * @author mazc
 * @Description:
 */
public interface ObeBusinessLicenseService extends IService<ObeBusinessLicense> {

    /**
     * @param ObeBusinessLicenseList
     * @Description: 批量更新
     * @author mazc
     */
    Integer updateByBatch(List<ObeBusinessLicense> ObeBusinessLicenseList);

    /**
     * @param ObeBusinessLicenseList
     * @Description: 批量插入
     * @author mazc
     */
    Integer insertByBatch(List<ObeBusinessLicense> ObeBusinessLicenseList);

    /**
     * @param ObeBusinessLicense
     * @param attributes
     * @Description: 指定字段修改
     * @author chenxw
     */
    boolean updateAssignProperty(ObeBusinessLicense ObeBusinessLicense, String[] attributes);

    /**
     * @param ObeBusinessLicenseList
     * @param attributes
     * @Description: 批量指定字段修改
     * @author chenxw
     */
    Integer batchUpdateProperty(List<ObeBusinessLicense> ObeBusinessLicenseList, String[] attributes);

    /**
     * @param ObeBusinessLicenseList
     * @param attributes
     * @return
     * @Description: 批量添加或跟新
     * @author chenxw
     */
    Integer batchSaveOrUpdate(List<ObeBusinessLicense> ObeBusinessLicenseList, String[] attributes);

    /**
     * @param tenderId
     * @param modelDataId
     * @return
     * @Description: 获取营业执照列表
     * @author chenxw
     */
    List<ObeBusinessLicense> getBusinessLicenseList(String tenderId, String modelDataId);

}



