package com.gx.obe.server.management.struct_new.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.gx.obe.server.management.struct_new.entity.ObeModelData;

import java.util.List;

/**
 * @author mazc
 * @Description:
 */
public interface ObeModelDataService extends IService<ObeModelData> {

    /**
     * @param ObeModelDataList
     * @Description: 批量更新
     * @author mazc
     */
    Integer updateByBatch(List<ObeModelData> ObeModelDataList);

    /**
     * @param ObeModelDataList
     * @Description: 批量插入
     * @author mazc
     */
    Integer insertByBatch(List<ObeModelData> ObeModelDataList);

    /**
     * @param ObeModelData
     * @param attributes
     * @Description: 指定字段修改
     * @author chenxw
     */
    boolean updateAssignProperty(ObeModelData ObeModelData, String[] attributes);

    /**
     * @param ObeModelDataList
     * @param attributes
     * @Description: 批量指定字段修改
     * @author chenxw
     */
    Integer batchUpdateProperty(List<ObeModelData> ObeModelDataList, String[] attributes);

    /**
     * @param ObeModelDataList
     * @param attributes
     * @return
     * @Description: 批量添加或跟新
     * @author chenxw
     */
    Integer batchSaveOrUpdate(List<ObeModelData> ObeModelDataList, String[] attributes);

    /**
     * @param tenderId
     * @param supplierId
     * @param relChapterType
     * @param dataCode
     * @return
     * @Description: 获取对象结构化数据
     * @author chenxw
     */
    ObeModelData getModelData(String tenderId, String supplierId, String relChapterType, String dataCode);

}



