package com.gx.obe.server.management.struct_new.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.gx.obe.server.common.utils.IDUtils;
import com.gx.obe.server.common.utils.StringUtils;
import com.gx.obe.server.management.struct_new.dao.ObeProfitlossSheetMapper;
import com.gx.obe.server.management.struct_new.entity.ObeProfitlossSheet;
import com.gx.obe.server.management.struct_new.service.ObeProfitlossSheetService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.ArrayList;
import java.util.List;

/**
 * @author mazc
 * @Description:
 */
@Service
@Transactional
public class ObeProfitlossSheetServiceImpl extends ServiceImpl<ObeProfitlossSheetMapper, ObeProfitlossSheet> implements ObeProfitlossSheetService {

    @Autowired
    private ObeProfitlossSheetMapper obeProfitlossSheetMapper;

    /**
     * @param ObeProfitlossSheetList
     * @Description: 批量更新
     * @author mazc
     */
    @Override
    @Transactional(rollbackFor = Exception.class)
    public Integer updateByBatch(List<ObeProfitlossSheet> ObeProfitlossSheetList) {
        return obeProfitlossSheetMapper.updateBatchList(ObeProfitlossSheetList);
    }

    /**
     * @param ObeProfitlossSheetList
     * @Description: 批量插入
     * @author mazc
     */
    @Override
    @Transactional(rollbackFor = Exception.class)
    public Integer insertByBatch(List<ObeProfitlossSheet> ObeProfitlossSheetList) {
        return obeProfitlossSheetMapper.insertByBatch(ObeProfitlossSheetList);
    }

    /**
     * @param ObeProfitlossSheet
     * @param attributes
     * @Description: 指定字段修改
     * @author chenxw
     */
    @Override
    public boolean updateAssignProperty(ObeProfitlossSheet ObeProfitlossSheet, String[] attributes) {
        return obeProfitlossSheetMapper.updateAssignProperty(ObeProfitlossSheet, attributes) > 0;
    }

    /**
     * @param ObeProfitlossSheetList
     * @param attributes
     * @Description: 批量指定字段修改
     * @author chenxw
     */
    @Override
    public Integer batchUpdateProperty(List<ObeProfitlossSheet> ObeProfitlossSheetList, String[] attributes) {
        return obeProfitlossSheetMapper.batchUpdateProperty(ObeProfitlossSheetList, attributes);
    }

    /**
     * @param ObeProfitlossSheetList
     * @param attributes
     * @return
     * @Description: 批量添加或跟新
     * @author chenxw
     */
    @Override
    @Transactional(rollbackFor = Exception.class)
    public Integer batchSaveOrUpdate(List<ObeProfitlossSheet> ObeProfitlossSheetList, String[] attributes) {
        List<ObeProfitlossSheet> insertObeProfitlossSheetList = new ArrayList<>();
        List<ObeProfitlossSheet> updateObeProfitlossSheetList = new ArrayList<>();
        for (ObeProfitlossSheet ObeProfitlossSheet : ObeProfitlossSheetList) {
            if (StringUtils.isEmpty(ObeProfitlossSheet.getId())) {
                ObeProfitlossSheet.setId(IDUtils.getId());
                insertObeProfitlossSheetList.add(ObeProfitlossSheet);
            } else {
                updateObeProfitlossSheetList.add(ObeProfitlossSheet);
            }
        }
        int count = 0;
        if (insertObeProfitlossSheetList.size() > 0) {
            count += obeProfitlossSheetMapper.insertByBatch(insertObeProfitlossSheetList);
        }
        if (updateObeProfitlossSheetList.size() > 0) {
            count += obeProfitlossSheetMapper.batchUpdateProperty(updateObeProfitlossSheetList, attributes);
        }
        return count;
    }

}
