package com.gx.obe.server.management.supplier.dao;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import com.gx.obe.server.management.supplier.entity.SupplierEvaluationStep;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import java.util.List;
/** 
 * @Description: 
 * @author mazc 
 */
 @Mapper
public interface SupplierEvaluationStepMapper extends BaseMapper<SupplierEvaluationStep> {

	/**
	 * @Description: 批量插入
	 * @author mazc
	 * @param ObeSupplierEvaluationStepList 
	 */
	Integer updateBatchList (@Param("ObeSupplierEvaluationStepList")List<SupplierEvaluationStep> ObeSupplierEvaluationStepList);
	
	/**
	 * @Description: 批量插入
	 * @author mazc
	 * @param ObeSupplierEvaluationStepList 
	 */
	Integer insertByBatch (@Param("ObeSupplierEvaluationStepList")List<SupplierEvaluationStep> ObeSupplierEvaluationStepList);
	
	
	/**
	 * @Description: 删除评审结果记录
	 * @author mazc
	 * @param tenderId
	 * @param stepId
	 * @return 
	 */
	Integer deleteSupplierEvaluationStep(@Param("tenderId")String tenderId, @Param("stepId")String stepId);
	
	
	/**
	 * @Description: 删除投标人的评标步骤 \重新开始评审
	 * @author mazc
	 * @param tenderId
	 * @return 
	 */
	Integer deleteRestartEvaluation(@Param("tenderId") String tenderId);

	/**
	 * @Description: 指定字段修改
	 * @author chenxw
	 * @param ObeSupplierEvaluationStep
	 * @param attributes
	 */
	Integer updateAssignProperty(@Param("ObeSupplierEvaluationStep")SupplierEvaluationStep ObeSupplierEvaluationStep, @Param("attributes")String[] attributes);

	/**
	 * @Description: 批量指定字段修改
	 * @author chenxw
	 * @param ObeSupplierEvaluationStepList
	 * @param attributes
	 */
	Integer batchUpdateProperty(@Param("ObeSupplierEvaluationStepList")List<SupplierEvaluationStep> ObeSupplierEvaluationStepList, @Param("attributes")String[] attributes);

}