package com.gx.obe.server.management.table.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

/**
 * @author mazc
 * @Description:
 */
@EqualsAndHashCode(callSuper = true)
@Data
@TableName("obe_bid_price_table")
public class ObeBidPriceTable extends Model<ObeBidPriceTable> {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId("ID")
    private String id;
    /**
     * 项目ID
     */
    @TableField("TENDER_ID")
    private String tenderId;
    /**
     * 供应商ID
     */
    @TableField("SUPPLIER_ID")
    private String supplierId;
    /**
     * 表格类型
     */
    @TableField("TABLE_TYPE")
    private String tableType;
    /**
     * 业务类型
     */
    @TableField("BUSINESS_TYPE")
    private String businessType;

    @TableField(exist = false)
    private List<ObeBidPriceTableItem> bidPriceTableItemList;
    @TableField(exist = false)
    private List<ObeBidPriceTableTitle> bidPriceTableTitleList;
    @TableField(exist = false)
    private List<ObeBidPriceTableValue> bidPriceTableValueList;

    @TableField(exist = false)
    private List<ObeBidPriceTableItemCollect> bidPriceTableItemCollectList;

}