package com.gx.obe.server.management.table.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.gx.obe.server.common.utils.IDUtils;
import com.gx.obe.server.common.utils.StringUtils;
import com.gx.obe.server.management.table.dao.ObeBidPriceTableItemCollectMapper;
import com.gx.obe.server.management.table.entity.ObeBidPriceTableItemCollect;
import com.gx.obe.server.management.table.service.ObeBidPriceTableItemCollectService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.ArrayList;
import java.util.List;

/**
 * @author mazc
 * @Description:
 */
@Service
@Transactional
public class ObeBidPriceTableItemCollectServiceImpl extends ServiceImpl<ObeBidPriceTableItemCollectMapper, ObeBidPriceTableItemCollect> implements ObeBidPriceTableItemCollectService {

    @Autowired
    private ObeBidPriceTableItemCollectMapper obeBidPriceTableItemCollectMapper;

    /**
     * @param ObeBidPriceTableItemCollectList
     * @Description: 批量更新
     * @author mazc
     */
    @Override
    @Transactional(rollbackFor = Exception.class)
    public Integer updateByBatch(List<ObeBidPriceTableItemCollect> ObeBidPriceTableItemCollectList) {
        return obeBidPriceTableItemCollectMapper.updateBatchList(ObeBidPriceTableItemCollectList);
    }

    /**
     * @param ObeBidPriceTableItemCollectList
     * @Description: 批量插入
     * @author mazc
     */
    @Override
    @Transactional(rollbackFor = Exception.class)
    public Integer insertByBatch(List<ObeBidPriceTableItemCollect> ObeBidPriceTableItemCollectList) {
        return obeBidPriceTableItemCollectMapper.insertByBatch(ObeBidPriceTableItemCollectList);
    }

    /**
     * @param ObeBidPriceTableItemCollect
     * @param attributes
     * @Description: 指定字段修改
     * @author chenxw
     */
    @Override
    public boolean updateAssignProperty(ObeBidPriceTableItemCollect ObeBidPriceTableItemCollect, String[] attributes) {
        return obeBidPriceTableItemCollectMapper.updateAssignProperty(ObeBidPriceTableItemCollect, attributes) > 0;
    }

    /**
     * @param ObeBidPriceTableItemCollectList
     * @param attributes
     * @Description: 批量指定字段修改
     * @author chenxw
     */
    @Override
    public Integer batchUpdateProperty(List<ObeBidPriceTableItemCollect> ObeBidPriceTableItemCollectList, String[] attributes) {
        return obeBidPriceTableItemCollectMapper.batchUpdateProperty(ObeBidPriceTableItemCollectList, attributes);
    }

    /**
     * @param ObeBidPriceTableItemCollectList
     * @param attributes
     * @return
     * @Description: 批量添加或跟新
     * @author chenxw
     */
    @Override
    @Transactional(rollbackFor = Exception.class)
    public Integer batchSaveOrUpdate(List<ObeBidPriceTableItemCollect> ObeBidPriceTableItemCollectList, String[] attributes) {
        List<ObeBidPriceTableItemCollect> insertObeBidPriceTableItemCollectList = new ArrayList<>();
        List<ObeBidPriceTableItemCollect> updateObeBidPriceTableItemCollectList = new ArrayList<>();
        for (ObeBidPriceTableItemCollect ObeBidPriceTableItemCollect : ObeBidPriceTableItemCollectList) {
            if (StringUtils.isEmpty(ObeBidPriceTableItemCollect.getId())) {
                ObeBidPriceTableItemCollect.setId(IDUtils.getId());
                insertObeBidPriceTableItemCollectList.add(ObeBidPriceTableItemCollect);
            } else {
                updateObeBidPriceTableItemCollectList.add(ObeBidPriceTableItemCollect);
            }
        }
        int count = 0;
        if (insertObeBidPriceTableItemCollectList.size() > 0) {
            count += obeBidPriceTableItemCollectMapper.insertByBatch(insertObeBidPriceTableItemCollectList);
        }
        if (updateObeBidPriceTableItemCollectList.size() > 0) {
            count += obeBidPriceTableItemCollectMapper.batchUpdateProperty(updateObeBidPriceTableItemCollectList, attributes);
        }
        return count;
    }

    /**
     * @param priceTableId
     * @return
     * @Description: 根据报价表id获取
     * @author chenxw
     */
    public List<ObeBidPriceTableItemCollect> getByPriceTableId(String priceTableId) {
        QueryWrapper<ObeBidPriceTableItemCollect> obeBidPriceTableItemCollectQueryWrapper = new QueryWrapper<>();
        obeBidPriceTableItemCollectQueryWrapper.lambda()
                .eq(ObeBidPriceTableItemCollect::getPriceTableId, priceTableId);
        return obeBidPriceTableItemCollectMapper.selectList(obeBidPriceTableItemCollectQueryWrapper);
    }

}
