package com.gx.obe.server.management.task.controller;

import com.gx.obe.server.common.base.BaseController;
import com.gx.obe.server.management.task.entity.ObeTask;
import com.gx.obe.server.management.task.service.ObeTaskService;
import io.swagger.annotations.Api;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * @author mazc
 * @Description:
 */
@Api(tags = "")
@RestController
@RequestMapping("/obeTask")
public class ObeTaskController extends BaseController<ObeTaskService, ObeTask> {

    private final ObeTaskService obeTaskService;

    @Autowired
    public ObeTaskController(ObeTaskService ObeTaskServices) {
        this.obeTaskService = ObeTaskServices;
    }

    /**
     * @param ObeTaskList
     * @Description: 批量插入
     * @author mazc
     */
    @PostMapping("/insertByBatch")
    public int insertByBatch(@RequestBody List<ObeTask> ObeTaskList) {
        return obeTaskService.insertByBatch(ObeTaskList);
    }

    /**
     * @param ObeTaskList
     * @Description: 批量更新
     * @author mazc
     */
    @PostMapping("/updateByBatch")
    public int updateByBatch(@RequestBody List<ObeTask> ObeTaskList) {
        return obeTaskService.updateByBatch(ObeTaskList);
    }

    /**
     * @param userId
     * @return
     * @Description: 获取待办列表
     * @author chenxw
     */
    @GetMapping("/getTaskList")
    public List<ObeTask> getTaskList(String userId, String state) {
        return obeTaskService.getTaskList(userId, state);
    }

    /**
     * @param userId
     * @return
     * @Description: 获取代办数量
     * @author chenxw
     */
    @GetMapping("/getTaskCount")
    public Integer getTaskCount(String userId, String state) {
        return obeTaskService.getTaskCount(userId, state);
    }

    /**
     * @param taskId
     * @param state
     * @Description: 修改待办状态
     * @author chenxw
     */
    @GetMapping("/updateTaskState")
    public void updateTaskState(String taskId, String state) {
        obeTaskService.updateTaskState(taskId, state);
    }
}