package com.gx.obe.server.management.task.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.gx.obe.server.management.task.entity.ObeTask;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author mazc
 * @Description:
 */
@Mapper
public interface ObeTaskMapper extends BaseMapper<ObeTask> {

    /**
     * @param ObeTaskList
     * @Description: 批量更新
     * @author mazc
     */
    Integer updateBatchList(@Param("ObeTaskList") List<ObeTask> ObeTaskList);

    /**
     * @param ObeTaskList
     * @Description: 批量插入
     * @author mazc
     */
    Integer insertByBatch(@Param("ObeTaskList") List<ObeTask> ObeTaskList);

    /**
     * @param ObeTask
     * @param attributes
     * @Description: 指定字段修改
     * @author chenxw
     */
    Integer updateAssignProperty(@Param("ObeTask") ObeTask ObeTask, @Param("attributes") String[] attributes);

    /**
     * @param ObeTaskList
     * @param attributes
     * @Description: 批量指定字段修改
     * @author chenxw
     */
    Integer batchUpdateProperty(@Param("ObeTaskList") List<ObeTask> ObeTaskList, @Param("attributes") String[] attributes);

    /**
     * @param userId
     * @return
     * @Description: 获取待办列表
     * @author chenxw
     */
    List<ObeTask> getTaskList(@Param("userId") String userId, @Param("state") String state);

}