package com.gx.obe.server.management.user.controller;

import java.util.Objects;

import javax.servlet.http.HttpServletRequest;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.context.request.RequestContextHolder;
import org.springframework.web.context.request.ServletRequestAttributes;

import com.auth0.jwt.JWT;
import com.gx.obe.server.common.utils.AESUtil;
import com.gx.obe.server.config.token.util.TokenUtil;
import com.gx.obe.server.management.user.entity.AuthUserEntity;
import com.gx.obe.server.management.user.service.AuthUserService;

import lombok.AllArgsConstructor;

@RestController
@AllArgsConstructor
@RequestMapping("/refsh")
public class RefshTokenController {
	@Autowired
	public AuthUserService authUserService;
	
	@PostMapping("/connectionStatus")
	public String refshToken(String token) {
		HttpServletRequest request = ((ServletRequestAttributes) Objects.requireNonNull(RequestContextHolder.getRequestAttributes())).getRequest();
		TokenUtil utill = new TokenUtil();
		if(utill.checkToken(token)) {
			String userId = JWT.decode(token).getClaim(TokenUtil.USERID).asString();
			AuthUserEntity user = authUserService.getById(AESUtil.decrypt(userId));
			token = TokenUtil.sign(user, request);
 		}
		return token;
	}
	
}
