package com.gx.obe.server.management.user.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.gx.obe.server.common.json.StringDeserializer;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;
/**
 * 
 * @author
 * @Title: AuthUserEntity
 * @Package com.gx.obe.server.management.user.entity
 * @Description:
 * @author: XiaoMa Pro
 * @date: 2019-04-25
 * @version V1.0
 * @Copyright: 2019 www.msypro.com Inc. All rights reserved.
 * 
 */
@TableName("auth_user")
  public class AuthUserEntity implements Serializable {
	
	private static final long serialVersionUID = 1L;

	public static final String ID = "USER_ID";

	public static final String USER_ACCOUNT = "USER_ACCOUNT";

	public static final String USER_PASSWORD = "USER_PASSWORD";

	public static final String USER_NAME = "USER_NAME";

	public static final String GENDER = "GENDER";

	public static final String COMPANY = "COMPANY";

	public static final String USER_IDCARD = "USER_IDCARD";

	public static final String PHONE = "PHONE";

	public static final String USER_TYPE = "USER_TYPE";

	public static final String PROFESSIONAL_TITLE = "PROFESSIONAL_TITLE";

	public static final String AVATAR = "AVATAR";

	public static final String SPECIALTY = "SPECIALTY";

	public static final String AREA_CODE = "AREA_CODE";

	public static final String USE_STATUS = "USE_STATUS";

	public static final String BINDING_CA = "BINDING_CA";

	public static final String CREATE_TIME = "CREATE_TIME";

	public static final String MODIFY_TIME = "MODIFY_TIME";

	public static final String DEFAULT_PASSWORD = "DEFAULT_PASSWORD";
	
	public static final String BANK_INFO = "BANK_INFO";
	
	public static final String BANK_ACCOUNT = "BANK_ACCOUNT";
	
	public static final String SOURCE = "SOURCE";
	/**
	 * 用户主键
	 */
	@TableId("USER_ID")
    @JsonDeserialize(using = StringDeserializer.class)
 	private String id;

	/**
	 * 用户账号
	 */
	@TableField("USER_ACCOUNT")
    @JsonDeserialize(using = StringDeserializer.class)
	private String userAccount;

	/**
	 * 用户密码
	 */
	@TableField("USER_PASSWORD")
    @JsonDeserialize(using = StringDeserializer.class)
	private String userPassword;

	/**
	 * 用户姓名
	 */
	@TableField("USER_NAME")
    @JsonDeserialize(using = StringDeserializer.class)
	private String userName;

	/**
	 * 用户性别
	 */
	@TableField("GENDER")
    @JsonDeserialize(using = StringDeserializer.class)
	private String gender;

	/**
	 * 用户单位
	 */
	@TableField("COMPANY")
    @JsonDeserialize(using = StringDeserializer.class)
	private String company;

	/**
	 * 身份证号
	 */
	@TableField("USER_IDCARD")
    @JsonDeserialize(using = StringDeserializer.class)
	private String userIdcard;

	/**
	 * 联系电话
	 */
	@TableField("PHONE")
    @JsonDeserialize(using = StringDeserializer.class)
	private String phone;

	/**
	 * 用户类型
	 */
	@TableField(exist = false)
    @JsonDeserialize(using = StringDeserializer.class)
	private String userType;

	/**
	 * 用户职称
	 */
	@TableField("PROFESSIONAL_TITLE")
    @JsonDeserialize(using = StringDeserializer.class)
	private String professionalTitle;

	/**
	 * 用户头像
	 */
	@TableField("AVATAR")
	private byte[] avatar;

	/**
	 * 用户专业
	 */
	@TableField("SPECIALTY")
    @JsonDeserialize(using = StringDeserializer.class)
	private String specialty;

	/**
	 * 行政区码
	 */
	@TableField("AREA_CODE")
    @JsonDeserialize(using = StringDeserializer.class)
	private String areaCode;

	/**
	 * 使用状态
	 */
	@TableField("USE_STATUS")
    @JsonDeserialize(using = StringDeserializer.class)
	private String useStatus;

	/**
	 * 已绑定CA
	 */
	@TableField("BINDING_CA")   
	@JsonDeserialize(using = StringDeserializer.class)
	private String bindingCa;

	/**
	 * 创建时间
	 */
	@TableField("CREATE_TIME")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date createTime;

	/**
	 * 修改时间
	 */
	@TableField("MODIFY_TIME")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date modifyTime;

	/**
	 * 是否初始化密码
	 */
	@TableField("DEFAULT_PASSWORD")
    @JsonDeserialize(using = StringDeserializer.class)
	private String defaultPassword;
	
	/**
	 * 开户行信息
	 */
	@TableField("BANK_INFO")
    @JsonDeserialize(using = StringDeserializer.class)
	private String bankInfo;
	
	/**
	 * 开户账号
	 */
	@TableField("BANK_ACCOUNT")
    @JsonDeserialize(using = StringDeserializer.class)
	private String bankAccount;

	/**
	 * 用户来源
	 */
	@TableField("SOURCE")
    @JsonDeserialize(using = StringDeserializer.class)
	private String source;

	/**
 	 * 用户角色
 	 */
	@TableField(exist = false)
 	private AuthRoleEntity authRole;
 	
	public String getBankInfo() {
		return bankInfo;
	}

	public void setBankInfo(String bankInfo) {
		this.bankInfo = bankInfo;
	}

	public String getBankAccount() {
		return bankAccount;
	}

	public void setBankAccount(String bankAccount) {
		this.bankAccount = bankAccount;
	}

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getUserAccount() {
		return userAccount;
	}

	public void setUserAccount(String userAccount) {
		this.userAccount = userAccount;
	}

	public String getUserPassword() {
		return userPassword;
	}

	public void setUserPassword(String userPassword) {
		this.userPassword = userPassword;
	}

	public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

	public String getGender() {
		return gender;
	}

	public void setGender(String gender) {
		this.gender = gender;
	}

	public String getCompany() {
		return company;
	}

	public void setCompany(String company) {
		this.company = company;
	}

	public String getUserIdcard() {
		return userIdcard;
	}

	public void setUserIdcard(String userIdcard) {
		this.userIdcard = userIdcard;
	}

	public String getPhone() {
		return phone;
	}

	public void setPhone(String phone) {
		this.phone = phone;
	}

	public String getUserType() {
		return userType;
	}

	public void setUserType(String userType) {
		this.userType = userType;
	}

	public String getProfessionalTitle() {
		return professionalTitle;
	}

	public void setProfessionalTitle(String professionalTitle) {
		this.professionalTitle = professionalTitle;
	}

	public byte[] getAvatar() {
		return avatar;
	}

	public void setAvatar(byte[] avatar) {
		if(avatar.length>0) {
			this.avatar = avatar;			
		}
	}

	public String getSpecialty() {
		return specialty;
	}

	public void setSpecialty(String specialty) {
		this.specialty = specialty;
	}

	public String getAreaCode() {
		return areaCode;
	}

	public void setAreaCode(String areaCode) {
		this.areaCode = areaCode;
	}

	public String getUseStatus() {
		return useStatus;
	}

	public void setUseStatus(String useStatus) {
		this.useStatus = useStatus;
	}

	public String getBindingCa() {
		return bindingCa;
	}

	public void setBindingCa(String bindingCa) {
		this.bindingCa = bindingCa;
	}

	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public Date getModifyTime() {
		return modifyTime;
	}

	public void setModifyTime(Date modifyTime) {
		this.modifyTime = modifyTime;
	}

	public String getDefaultPassword() {
		return defaultPassword;
	}

	public void setDefaultPassword(String defaultPassword) {
		this.defaultPassword = defaultPassword;
	}


	public AuthRoleEntity getAuthRole() {
		return authRole;
	}

	public void setAuthRole(AuthRoleEntity authRole) {
		this.authRole = authRole;
	}

	public String getSource() {
		return source;
	}

	public void setSource(String source) {
		this.source = source;
	}

	@Override
	public String toString() {
		return "AuthUserEntity{" + ", id=" + id + ", userAccount=" + userAccount + ", userPassword=" + userPassword
				+ ", userName=" + userName + ", gender=" + gender + ", company=" + company + ", userIdcard="
				+ userIdcard + ", phone=" + phone + ", userType=" + userType + ", professionalTitle="
				+ professionalTitle + ", avatar=" + avatar + ", specialty=" + specialty + ", areaCode=" + areaCode
				+ ", useStatus=" + useStatus + ", bindingCa=" + bindingCa + ", createTime=" + createTime
				+ ", modifyTime=" + modifyTime + ", defaultPassword=" + defaultPassword + ",bankInfo="+ bankInfo + ",bankAccount="+bankAccount+"source="+source+"}";
	}
}
