package com.gx.obe.server.management.user.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.gx.obe.server.management.user.entity.AuthRoleEntity;
import com.gx.obe.server.management.user.entity.AuthUserRoleEntity;

/**  
 * 
 * @author 
 * @Title: AuthUserRoleService
 * @Package com.gx.obe.server.management.user.service  
 * @Description:    
 * @author: XiaoMa Pro - myzhichao@163.com
 * @date:   2019-04-29   
 * @version V1.0 
 * @Copyright: 2019 www.msypro.com Inc. All rights reserved. 
 *  
 */
public interface AuthUserRoleService extends IService<AuthUserRoleEntity> {
	
	int batchCreateSave(List<AuthUserRoleEntity> ROLE_LIST);

	/**
	 * @Description: 为用户设置角色
	 * @author mazc
	 * @param userId
	 * @param roleCode
	 * @param curUserIs
	 * @return 
	 */
	int initUserRole(String userId, String roleCode,String curUserIs);
	
	
	/**
	 * @Description: 获得用户拥有的角色id
	 * @author mazc
	 * @param userId
	 * @return 
	 */
	List<String> getUserRoleIdList(String userId);
	
    /**
     * @Description: 
     * @author mazc
     * @param userId
     * @param roleList
     * @param curUserIs
     * @return 
     */
    boolean authorizedRoleForUser(String userId, List<AuthRoleEntity> roleList ,String curUserIs);
}

