package com.gx.obe.server.management.vo;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

import com.gx.obe.server.common.enumeration.SupplierEnum;
import com.gx.obe.server.management.supplier.entity.Supplier;
import com.gx.obe.server.management.supplier.entity.SupplierOpeningResult;


/**
 * @preserve private
 */
public class DecryptSupplier {
	
	public DecryptSupplier(Supplier supplier){
		this.supplierName = supplier.getSupplierName();
		this.orgCode = (null != supplier.getOrgCode() && supplier.getOrgCode().length() > 0) ? supplier.getOrgCode() : supplier.getSupplierName();
		this.supplierId = supplier.getSupplierName();
		supplierList = new ArrayList<Supplier>();
	}

	private String orgCode;
	
	private String supplierName;
	
	private String supplierId;
	
	private List<Supplier> supplierList;
	
	/**
	 * 商务标状态
	 */
	private String businessBidStatus;
	
	/**
	 * 技术标状态
	 */
	private String technologyBidStatus;
	
	/**
	 * 价格标状态
	 */
	private String priceBidStatus;
	
	/**
	 * 待解密投标文件数量
	 */
	private int totalBidFileCount = 0;
	
	/**
	 * 加密标书的数量
	 */
	private int encFilieCount = 0;
	
	/**
	 * 解密失败的数量
	 */
	private int decFaildCount = 0;
	
	/**
	 * 解密成功的数量
	 */
	private int decSuccessCount = 0;
	
	private String signPerson;
	
	private String signPersonTel;
	
	private String signPersonCard;
	
	private Date signTime;
	
	private StringBuilder detail = new StringBuilder();

	public int getTotalBidFileCount() {
		return totalBidFileCount;
	}

	public void setTotalBidFileCount(int totalBidFileCount) {
		this.totalBidFileCount = totalBidFileCount;
	}

	public int getEncFilieCount() {
		return encFilieCount;
	}

	public void setEncFilieCount(int encFilieCount) {
		this.encFilieCount = encFilieCount;
	}

	public int getDecFaildCount() {
		return decFaildCount;
	}

	public void setDecFaildCount(int decFaildCount) {
		this.decFaildCount = decFaildCount;
	}

	public int getDecSuccessCount() {
		return decSuccessCount;
	}

	public void setDecSuccessCount(int decSuccessCount) {
		this.decSuccessCount = decSuccessCount;
	}

	public void addSupplier(Supplier supplier){
		if(null != supplier.getOrgCode()){
			orgCode = supplier.getOrgCode();
		}
		SupplierOpeningResult supplierOpeningResult = supplier.getSupplierOpeningResult();
		if(null != supplierOpeningResult){
			if(null != supplierOpeningResult.getBusinessBidStatus() && supplierOpeningResult.getBusinessBidStatus().length() > 0){
				if(null == businessBidStatus){
					businessBidStatus = supplierOpeningResult.getBusinessBidStatus();
				}else if(!businessBidStatus.equals(SupplierEnum.OPENBID_SUCCESS)){
					businessBidStatus = supplierOpeningResult.getBusinessBidStatus();
				}
			}else {
				businessBidStatus = "";
			}
			if(null != supplierOpeningResult.getTechnologyBidStatus() && supplierOpeningResult.getTechnologyBidStatus().length() > 0){
				if(null == technologyBidStatus){
					technologyBidStatus = supplierOpeningResult.getTechnologyBidStatus();
				}else if(!technologyBidStatus.equals(SupplierEnum.OPENBID_SUCCESS)){
					technologyBidStatus = supplierOpeningResult.getTechnologyBidStatus();
				}
			}else {
				technologyBidStatus = "";
			}
			if(null != supplierOpeningResult.getPriceBidStatus() && supplierOpeningResult.getPriceBidStatus().length() > 0){
				if(null == priceBidStatus){
					priceBidStatus = supplierOpeningResult.getPriceBidStatus();
				}else if(!priceBidStatus.equals(SupplierEnum.OPENBID_SUCCESS)){
					priceBidStatus = supplierOpeningResult.getPriceBidStatus();
				}
			}else {
				priceBidStatus = "";
			}
		}
		supplierList.add(supplier);
	}
	
	public void addMessage(String msg){
		if(null != msg){
			detail.append(msg);
			detail.append("\r\n");
		}
	}

	public String getMessage(){
		return detail.toString();
	}
	public String getSupplierName() {
		return supplierName;
	}

	public void setSupplierName(String supplierName) {
		this.supplierName = supplierName;
	}
	
	public String getSupplierId() {
		return supplierId;
	}

	public void setSupplierId(String supplierId) {
		this.supplierId = supplierId;
	}

	public List<Supplier> getSupplierList() {
		return supplierList;
	}

	public void setSupplierList(List<Supplier> supplierList) {
		this.supplierList = supplierList;
	}

	public String getBusinessBidStatus() {
		return businessBidStatus;
	}

	public void setBusinessBidStatus(String businessBidStatus) {
		this.businessBidStatus = businessBidStatus;
	}

	public String getTechnologyBidStatus() {
		return technologyBidStatus;
	}

	public void setTechnologyBidStatus(String technologyBidStatus) {
		this.technologyBidStatus = technologyBidStatus;
	}

	public String getPriceBidStatus() {
		return priceBidStatus;
	}

	public void setPriceBidStatus(String priceBidStatus) {
		this.priceBidStatus = priceBidStatus;
	}

	public String getSignPerson() {
		return signPerson;
	}

	public void setSignPerson(String signPerson) {
		this.signPerson = signPerson;
	}

	public String getSignPersonTel() {
		return signPersonTel;
	}

	public void setSignPersonTel(String signPersonTel) {
		this.signPersonTel = signPersonTel;
	}

	public String getSignPersonCard() {
		return signPersonCard;
	}

	public void setSignPersonCard(String signPersonCard) {
		this.signPersonCard = signPersonCard;
	}

	public Date getSignTime() {
		return signTime;
	}

	public void setSignTime(Date signTime) {
		this.signTime = signTime;
	}

	public String getOrgCode() {
		return orgCode;
	}

	public void setOrgCode(String orgCode) {
		this.orgCode = orgCode;
	}
}
