package com.gx.obe.server.tripartitefunction.bidata.vo;
import java.io.Serializable;

import com.fasterxml.jackson.annotation.JsonProperty;

/** 
 * @Description: 企业基本信息 ,
 * @author mazc 
 */
public class Basic implements Serializable {
	private static final long serialVersionUID = -5820045588030511590L;
	
	
    /**
     * 注册号 ,
     */
    @JsonProperty("REGNO")
    private String REGNO;
    
    /**
     * 组织机构代码
     */
    @JsonProperty("ORGCODES")
    private String ORGCODES;

    
    /**
     * 统一信用代码 ,
     */
    @JsonProperty("CREDITCODE")
    private String CREDITCODE;
    
	
	/**
	 * 许可经营项目 ,
	 */
	@JsonProperty("ABUITEM")
    private String ABUITEM;

    /**
     * 成立日期 ,
     */
    @JsonProperty("ESDATE")
    private String ESDATE;
    /**
     * 经营期限至 ,
     */
    @JsonProperty("OPTO")
    private String OPTO;
    /**
     * 经营期限自 ,
     */
    @JsonProperty("OPFROM")
    private String OPFROM;
    /**
     * 企业名称 ,
     */
    @JsonProperty("ENTNAME")
    private String ENTNAME;
    /**
     * 注册资本（企业:万元） ,
     */
    @JsonProperty("REGCAP")
    private String REGCAP;

    /**
     * 法定代表人/负责人/执行事务合伙人 ,
     */
    @JsonProperty("FRNAME")
    private String FRNAME;
    /**
     * 登记机关 ,
     */
    @JsonProperty("REGORG")
    private String REGORG;
    /**
     * 经营状态 ,
     */
    @JsonProperty("ENTSTATUS")
    private String ENTSTATUS;
    /**
     *  经营状态编码 ,
     */
    @JsonProperty("ENTSTATUSCODE")
    private String ENTSTATUSCODE;
    /**
     *  企业类型 ,
     */
    @JsonProperty("ENTTYPE")
    private String ENTTYPE;
    /**
     * 所在省份 ,
     */
    @JsonProperty("REGORGPROVINCE")
    private String REGORGPROVINCE;
    /**
     *  所在城市 ,
     */
    @JsonProperty("REGORGCITY")
    private String REGORGCITY;
    /**
     *  所在城市编码 ,
     */
    @JsonProperty("REGCITY")
    private String REGCITY;
    /**
     * 所在区/县 ,
     */
    @JsonProperty("REGORGDISTRICT")
    private String REGORGDISTRICT;
    /**
     * 注册资本币种代码 ,
     */
    @JsonProperty("REGCAPCURCODE")
    private String REGCAPCURCODE;
    /**
     * 注册资本币种 ,
     */
    @JsonProperty("REGCAPCUR")
    private String REGCAPCUR;
    /**
     * 最后年检年度 ,
     */
    @JsonProperty("ANCHEYEAR")
    private String ANCHEYEAR;
    /**
     * 邮编 ,
     */
    @JsonProperty("POSTALCODE")
    private String POSTALCODE;
    /**
     * 住址 ,
     */
    @JsonProperty("DOM")
    private String DOM;
    /**
     *  吊销日期 ,
     */
    @JsonProperty("REVDATE")
    private String REVDATE;
    /**
     * 注销日期 ,
     */
    @JsonProperty("CANDATE")
    private String CANDATE;
    /**
     * 注册地址行政编号 ,
     */
    @JsonProperty("REGORGCODE")
    private String REGORGCODE;
    /**
     * 经营业务范围 ,
     */
    @JsonProperty("ZSOPSCOPE")
    private String ZSOPSCOPE;
    /**
     * 实体类型 ,
     */
    @JsonProperty("ENTITYTYPE")
    private String ENTITYTYPE;
    /**
     * 曾用名 ,
     */
    @JsonProperty("ENTNAME_OLD")
    private String ENTNAME_OLD;
    /**
     * 核准日期 ,
     */
    @JsonProperty("APPRDATE")
    private String APPRDATE;
    /**
     *  企业(机构)类型编码 ,
     */
    @JsonProperty("ENTTYPECODE")
    private String ENTTYPECODE;
    /**
     *  所在省份编码 ,
     */
    @JsonProperty("S_EXT_NODENUM")
    private String SEXTNODENUM;
    /**
     * 企业ENTID
     */
    @JsonProperty("ENTID")
    private String ENTID;
    
	public String getABUITEM() {
		return ABUITEM;
	}
	public void setABUITEM(String aBUITEM) {
		ABUITEM = aBUITEM;
	}
	public String getORGCODES() {
		return ORGCODES;
	}
	public void setORGCODES(String oRGCODES) {
		ORGCODES = oRGCODES;
	}
	public String getREGNO() {
		return REGNO;
	}
	public void setREGNO(String rEGNO) {
		REGNO = rEGNO;
	}
	public String getCREDITCODE() {
		return CREDITCODE;
	}
	public void setCREDITCODE(String cREDITCODE) {
		CREDITCODE = cREDITCODE;
	}
	public String getOPTO() {
		return OPTO;
	}
	public void setOPTO(String oPTO) {
		OPTO = oPTO;
	}
	public String getOPFROM() {
		return OPFROM;
	}
	public void setOPFROM(String oPFROM) {
		OPFROM = oPFROM;
	}
	public String getENTNAME() {
		return ENTNAME;
	}
	public void setENTNAME(String eNTNAME) {
		ENTNAME = eNTNAME;
	}
	public String getREGCAP() {
		return REGCAP;
	}
	public void setREGCAP(String rEGCAP) {
		REGCAP = rEGCAP;
	}
	public String getESDATE() {
		return ESDATE;
	}
	public void setESDATE(String eSDATE) {
		ESDATE = eSDATE;
	}
	public String getFRNAME() {
		return FRNAME;
	}
	public void setFRNAME(String fRNAME) {
		FRNAME = fRNAME;
	}
	public String getREGORG() {
		return REGORG;
	}
	public void setREGORG(String rEGORG) {
		REGORG = rEGORG;
	}
	public String getENTSTATUS() {
		return ENTSTATUS;
	}
	public void setENTSTATUS(String eNTSTATUS) {
		ENTSTATUS = eNTSTATUS;
	}
	public String getENTSTATUSCODE() {
		return ENTSTATUSCODE;
	}
	public void setENTSTATUSCODE(String eNTSTATUSCODE) {
		ENTSTATUSCODE = eNTSTATUSCODE;
	}
	public String getENTTYPE() {
		return ENTTYPE;
	}
	public void setENTTYPE(String eNTTYPE) {
		ENTTYPE = eNTTYPE;
	}
	public String getREGORGPROVINCE() {
		return REGORGPROVINCE;
	}
	public void setREGORGPROVINCE(String rEGORGPROVINCE) {
		REGORGPROVINCE = rEGORGPROVINCE;
	}
	public String getREGORGCITY() {
		return REGORGCITY;
	}
	public void setREGORGCITY(String rEGORGCITY) {
		REGORGCITY = rEGORGCITY;
	}
	public String getREGCITY() {
		return REGCITY;
	}
	public void setREGCITY(String rEGCITY) {
		REGCITY = rEGCITY;
	}
	public String getREGORGDISTRICT() {
		return REGORGDISTRICT;
	}
	public void setREGORGDISTRICT(String rEGORGDISTRICT) {
		REGORGDISTRICT = rEGORGDISTRICT;
	}
	public String getREGCAPCURCODE() {
		return REGCAPCURCODE;
	}
	public void setREGCAPCURCODE(String rEGCAPCURCODE) {
		REGCAPCURCODE = rEGCAPCURCODE;
	}
	public String getREGCAPCUR() {
		return REGCAPCUR;
	}
	public void setREGCAPCUR(String rEGCAPCUR) {
		REGCAPCUR = rEGCAPCUR;
	}
	public String getANCHEYEAR() {
		return ANCHEYEAR;
	}
	public void setANCHEYEAR(String aNCHEYEAR) {
		ANCHEYEAR = aNCHEYEAR;
	}
	public String getPOSTALCODE() {
		return POSTALCODE;
	}
	public void setPOSTALCODE(String pOSTALCODE) {
		POSTALCODE = pOSTALCODE;
	}
	public String getDOM() {
		return DOM;
	}
	public void setDOM(String dOM) {
		DOM = dOM;
	}
	public String getREVDATE() {
		return REVDATE;
	}
	public void setREVDATE(String rEVDATE) {
		REVDATE = rEVDATE;
	}
	public String getCANDATE() {
		return CANDATE;
	}
	public void setCANDATE(String cANDATE) {
		CANDATE = cANDATE;
	}
	public String getREGORGCODE() {
		return REGORGCODE;
	}
	public void setREGORGCODE(String rEGORGCODE) {
		REGORGCODE = rEGORGCODE;
	}
	public String getZSOPSCOPE() {
		return ZSOPSCOPE;
	}
	public void setZSOPSCOPE(String zSOPSCOPE) {
		ZSOPSCOPE = zSOPSCOPE;
	}
	public String getENTITYTYPE() {
		return ENTITYTYPE;
	}
	public void setENTITYTYPE(String eNTITYTYPE) {
		ENTITYTYPE = eNTITYTYPE;
	}
	 
	public String getENTNAME_OLD() {
		return ENTNAME_OLD;
	}
	public void setENTNAME_OLD(String eNTNAME_OLD) {
		ENTNAME_OLD = eNTNAME_OLD;
	}
	public String getAPPRDATE() {
		return APPRDATE;
	}
	public void setAPPRDATE(String aPPRDATE) {
		APPRDATE = aPPRDATE;
	}
	public String getENTTYPECODE() {
		return ENTTYPECODE;
	}
	public void setENTTYPECODE(String eNTTYPECODE) {
		ENTTYPECODE = eNTTYPECODE;
	}
	public String getSEXTNODENUM() {
		return SEXTNODENUM;
	}
	public void setSEXTNODENUM(String sEXTNODENUM) {
		SEXTNODENUM = sEXTNODENUM;
	}
	public String getENTID() {
		return ENTID;
	}
	public void setENTID(String eNTID) {
		ENTID = eNTID;
	}
	public static long getSerialversionuid() {
		return serialVersionUID;
	}
    

}